
_Initialize:

;Touch_Panel_Calibration_and_Write.c,62 :: 		void Initialize() {
;Touch_Panel_Calibration_and_Write.c,63 :: 		ANSELA = 0x13;              // Configure AN0 and AN1 pins as analog
	MOVLW       19
	MOVWF       ANSELA+0 
;Touch_Panel_Calibration_and_Write.c,64 :: 		ANSELB = 0;              // Configure PORTB pins as digital
	CLRF        ANSELB+0 
;Touch_Panel_Calibration_and_Write.c,65 :: 		ANSELC = 0;              // Configure PORTC pins as digital
	CLRF        ANSELC+0 
;Touch_Panel_Calibration_and_Write.c,66 :: 		ANSELD = 0;              // Configure PORTD pins as digital
	CLRF        ANSELD+0 
;Touch_Panel_Calibration_and_Write.c,67 :: 		TRISA  = 0x13;              // Configure AN0 and AN1 pins as input
	MOVLW       19
	MOVWF       TRISA+0 
;Touch_Panel_Calibration_and_Write.c,69 :: 		Glcd_Init();                                     // Initialize GLCD
	CALL        _Glcd_Init+0, 0
;Touch_Panel_Calibration_and_Write.c,70 :: 		Glcd_Fill(0);                                    // Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Touch_Panel_Calibration_and_Write.c,72 :: 		ADC_Init();                                      // Initialize ADC
	CALL        _ADC_Init+0, 0
;Touch_Panel_Calibration_and_Write.c,73 :: 		TP_Init(128, 64, 0, 1);                          // Initialize touch panel
	MOVLW       128
	MOVWF       FARG_TP_Init_display_width+0 
	MOVLW       0
	MOVWF       FARG_TP_Init_display_width+1 
	MOVLW       64
	MOVWF       FARG_TP_Init_display_height+0 
	MOVLW       0
	MOVWF       FARG_TP_Init_display_height+1 
	CLRF        FARG_TP_Init_readX_ChNo+0 
	MOVLW       1
	MOVWF       FARG_TP_Init_readY_ChNo+0 
	CALL        _TP_Init+0, 0
;Touch_Panel_Calibration_and_Write.c,74 :: 		TP_Set_ADC_Threshold(900);                       // Set touch panel ADC threshold
	MOVLW       132
	MOVWF       FARG_TP_Set_ADC_Threshold_threshold+0 
	MOVLW       3
	MOVWF       FARG_TP_Set_ADC_Threshold_threshold+1 
	CALL        _TP_Set_ADC_Threshold+0, 0
;Touch_Panel_Calibration_and_Write.c,75 :: 		}
L_end_Initialize:
	RETURN      0
; end of _Initialize

_Calibrate:

;Touch_Panel_Calibration_and_Write.c,77 :: 		void Calibrate() {
;Touch_Panel_Calibration_and_Write.c,79 :: 		Glcd_Dot(0,63,1);                                // Draw bottom left dot
	CLRF        FARG_Glcd_Dot_x_pos+0 
	MOVLW       63
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;Touch_Panel_Calibration_and_Write.c,80 :: 		Glcd_Write_Text("TOUCH BOTTOM LEFT",12,3,1);
	MOVLW       ?lstr1_Touch_Panel_Calibration_and_Write+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr1_Touch_Panel_Calibration_and_Write+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration_and_Write.c,81 :: 		TP_Calibrate_Bottom_Left();                      // Calibration of bottom left corner
	CALL        _TP_Calibrate_Bottom_Left+0, 0
;Touch_Panel_Calibration_and_Write.c,82 :: 		Delay_ms(1000);
	MOVLW       41
	MOVWF       R11, 0
	MOVLW       150
	MOVWF       R12, 0
	MOVLW       127
	MOVWF       R13, 0
L_Calibrate0:
	DECFSZ      R13, 1, 1
	BRA         L_Calibrate0
	DECFSZ      R12, 1, 1
	BRA         L_Calibrate0
	DECFSZ      R11, 1, 1
	BRA         L_Calibrate0
;Touch_Panel_Calibration_and_Write.c,84 :: 		Glcd_Dot(0,63,0);                                // Clear bottom left dot
	CLRF        FARG_Glcd_Dot_x_pos+0 
	MOVLW       63
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	CLRF        FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;Touch_Panel_Calibration_and_Write.c,85 :: 		Glcd_Dot(127,0,1);                               // Draw upper right dot
	MOVLW       127
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	CLRF        FARG_Glcd_Dot_y_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;Touch_Panel_Calibration_and_Write.c,86 :: 		Glcd_Write_Text("                 ",12,3,1);
	MOVLW       ?lstr2_Touch_Panel_Calibration_and_Write+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr2_Touch_Panel_Calibration_and_Write+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration_and_Write.c,87 :: 		Glcd_Write_Text("TOUCH UPPER RIGHT",12,4,1);
	MOVLW       ?lstr3_Touch_Panel_Calibration_and_Write+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr3_Touch_Panel_Calibration_and_Write+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       12
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration_and_Write.c,88 :: 		TP_Calibrate_Upper_Right();                      // Calibration of upper right corner
	CALL        _TP_Calibrate_Upper_Right+0, 0
;Touch_Panel_Calibration_and_Write.c,90 :: 		Delay_ms(1000);
	MOVLW       41
	MOVWF       R11, 0
	MOVLW       150
	MOVWF       R12, 0
	MOVLW       127
	MOVWF       R13, 0
L_Calibrate1:
	DECFSZ      R13, 1, 1
	BRA         L_Calibrate1
	DECFSZ      R12, 1, 1
	BRA         L_Calibrate1
	DECFSZ      R11, 1, 1
	BRA         L_Calibrate1
;Touch_Panel_Calibration_and_Write.c,91 :: 		}
L_end_Calibrate:
	RETURN      0
; end of _Calibrate

_delay2S:

;Touch_Panel_Calibration_and_Write.c,93 :: 		void delay2S(){                                    // 2 seconds delay function
;Touch_Panel_Calibration_and_Write.c,94 :: 		Delay_ms(2000);
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L_delay2S2:
	DECFSZ      R13, 1, 1
	BRA         L_delay2S2
	DECFSZ      R12, 1, 1
	BRA         L_delay2S2
	DECFSZ      R11, 1, 1
	BRA         L_delay2S2
	NOP
;Touch_Panel_Calibration_and_Write.c,95 :: 		}
L_end_delay2S:
	RETURN      0
; end of _delay2S

_main:

;Touch_Panel_Calibration_and_Write.c,97 :: 		void main() {
;Touch_Panel_Calibration_and_Write.c,99 :: 		Initialize();
	CALL        _Initialize+0, 0
;Touch_Panel_Calibration_and_Write.c,101 :: 		Glcd_Write_Text("CALIBRATION",32,3,1);
	MOVLW       ?lstr4_Touch_Panel_Calibration_and_Write+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr4_Touch_Panel_Calibration_and_Write+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       32
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration_and_Write.c,102 :: 		Delay_ms(1000);
	MOVLW       41
	MOVWF       R11, 0
	MOVLW       150
	MOVWF       R12, 0
	MOVLW       127
	MOVWF       R13, 0
L_main3:
	DECFSZ      R13, 1, 1
	BRA         L_main3
	DECFSZ      R12, 1, 1
	BRA         L_main3
	DECFSZ      R11, 1, 1
	BRA         L_main3
;Touch_Panel_Calibration_and_Write.c,103 :: 		Glcd_Fill(0);                                    // Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Touch_Panel_Calibration_and_Write.c,104 :: 		Calibrate();
	CALL        _Calibrate+0, 0
;Touch_Panel_Calibration_and_Write.c,106 :: 		Glcd_Fill(0);
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Touch_Panel_Calibration_and_Write.c,107 :: 		Glcd_Write_Text("WRITE ON SCREEN", 20, 5, 1) ;
	MOVLW       ?lstr5_Touch_Panel_Calibration_and_Write+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr5_Touch_Panel_Calibration_and_Write+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       20
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       5
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration_and_Write.c,108 :: 		Delay_ms(1000);
	MOVLW       41
	MOVWF       R11, 0
	MOVLW       150
	MOVWF       R12, 0
	MOVLW       127
	MOVWF       R13, 0
L_main4:
	DECFSZ      R13, 1, 1
	BRA         L_main4
	DECFSZ      R12, 1, 1
	BRA         L_main4
	DECFSZ      R11, 1, 1
	BRA         L_main4
;Touch_Panel_Calibration_and_Write.c,110 :: 		Glcd_Fill(0);                                    // Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Touch_Panel_Calibration_and_Write.c,111 :: 		Glcd_V_Line(0,7,0,1);
	CLRF        FARG_Glcd_V_Line_y_start+0 
	MOVLW       7
	MOVWF       FARG_Glcd_V_Line_y_end+0 
	CLRF        FARG_Glcd_V_Line_x_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_V_Line_color+0 
	CALL        _Glcd_V_Line+0, 0
;Touch_Panel_Calibration_and_Write.c,112 :: 		Glcd_Write_Text(clear_msg,1,0,0);
	MOVLW       _clear_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_clear_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	CLRF        FARG_Glcd_Write_Text_page_num+0 
	CLRF        FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration_and_Write.c,113 :: 		Glcd_V_Line(0,7,97,1);
	CLRF        FARG_Glcd_V_Line_y_start+0 
	MOVLW       7
	MOVWF       FARG_Glcd_V_Line_y_end+0 
	MOVLW       97
	MOVWF       FARG_Glcd_V_Line_x_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_V_Line_color+0 
	CALL        _Glcd_V_Line+0, 0
;Touch_Panel_Calibration_and_Write.c,114 :: 		Glcd_Write_Text(erase_msg,98,0,0);
	MOVLW       _erase_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_erase_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       98
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	CLRF        FARG_Glcd_Write_Text_page_num+0 
	CLRF        FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration_and_Write.c,117 :: 		Glcd_Rectangle(41,0,52,9,1);
	MOVLW       41
	MOVWF       FARG_Glcd_Rectangle_x_upper_left+0 
	CLRF        FARG_Glcd_Rectangle_y_upper_left+0 
	MOVLW       52
	MOVWF       FARG_Glcd_Rectangle_x_bottom_right+0 
	MOVLW       9
	MOVWF       FARG_Glcd_Rectangle_y_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Rectangle_color+0 
	CALL        _Glcd_Rectangle+0, 0
;Touch_Panel_Calibration_and_Write.c,118 :: 		Glcd_Box(45,3,48,6,1);
	MOVLW       45
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
	MOVLW       48
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	MOVLW       6
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
;Touch_Panel_Calibration_and_Write.c,119 :: 		Glcd_Rectangle(63,0,70,7,1);
	MOVLW       63
	MOVWF       FARG_Glcd_Rectangle_x_upper_left+0 
	CLRF        FARG_Glcd_Rectangle_y_upper_left+0 
	MOVLW       70
	MOVWF       FARG_Glcd_Rectangle_x_bottom_right+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Rectangle_y_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Rectangle_color+0 
	CALL        _Glcd_Rectangle+0, 0
;Touch_Panel_Calibration_and_Write.c,120 :: 		Glcd_Box(66,3,67,4,1);
	MOVLW       66
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
	MOVLW       67
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
;Touch_Panel_Calibration_and_Write.c,121 :: 		Glcd_Rectangle(80,0,86,6,1);
	MOVLW       80
	MOVWF       FARG_Glcd_Rectangle_x_upper_left+0 
	CLRF        FARG_Glcd_Rectangle_y_upper_left+0 
	MOVLW       86
	MOVWF       FARG_Glcd_Rectangle_x_bottom_right+0 
	MOVLW       6
	MOVWF       FARG_Glcd_Rectangle_y_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Rectangle_color+0 
	CALL        _Glcd_Rectangle+0, 0
;Touch_Panel_Calibration_and_Write.c,122 :: 		Glcd_Dot(83,3,1);
	MOVLW       83
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;Touch_Panel_Calibration_and_Write.c,124 :: 		write_erase = 1;
	BSF         _write_erase+0, BitPos(_write_erase+0) 
;Touch_Panel_Calibration_and_Write.c,125 :: 		pen_size = 1;
	MOVLW       1
	MOVWF       _pen_size+0 
;Touch_Panel_Calibration_and_Write.c,126 :: 		while (1) {
L_main5:
;Touch_Panel_Calibration_and_Write.c,128 :: 		if (TP_Press_Detect()) {
	CALL        _TP_Press_Detect+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main7
;Touch_Panel_Calibration_and_Write.c,130 :: 		if (TP_Get_Coordinates(&x_coord, &y_coord) == 0) {
	MOVLW       _x_coord+0
	MOVWF       FARG_TP_Get_Coordinates_x_coordinate+0 
	MOVLW       hi_addr(_x_coord+0)
	MOVWF       FARG_TP_Get_Coordinates_x_coordinate+1 
	MOVLW       _y_coord+0
	MOVWF       FARG_TP_Get_Coordinates_y_coordinate+0 
	MOVLW       hi_addr(_y_coord+0)
	MOVWF       FARG_TP_Get_Coordinates_y_coordinate+1 
	CALL        _TP_Get_Coordinates+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_main8
;Touch_Panel_Calibration_and_Write.c,132 :: 		if ((x_coord < 31) && (y_coord < 8)) {
	MOVLW       0
	SUBWF       _x_coord+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main57
	MOVLW       31
	SUBWF       _x_coord+0, 0 
L__main57:
	BTFSC       STATUS+0, 0 
	GOTO        L_main11
	MOVLW       0
	SUBWF       _y_coord+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main58
	MOVLW       8
	SUBWF       _y_coord+0, 0 
L__main58:
	BTFSC       STATUS+0, 0 
	GOTO        L_main11
L__main52:
;Touch_Panel_Calibration_and_Write.c,134 :: 		Glcd_Fill(0);
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Touch_Panel_Calibration_and_Write.c,137 :: 		Glcd_Rectangle(41,0,52,9,1);
	MOVLW       41
	MOVWF       FARG_Glcd_Rectangle_x_upper_left+0 
	CLRF        FARG_Glcd_Rectangle_y_upper_left+0 
	MOVLW       52
	MOVWF       FARG_Glcd_Rectangle_x_bottom_right+0 
	MOVLW       9
	MOVWF       FARG_Glcd_Rectangle_y_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Rectangle_color+0 
	CALL        _Glcd_Rectangle+0, 0
;Touch_Panel_Calibration_and_Write.c,138 :: 		Glcd_Box(45,3,48,6,1);
	MOVLW       45
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
	MOVLW       48
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	MOVLW       6
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
;Touch_Panel_Calibration_and_Write.c,139 :: 		Glcd_Rectangle(63,0,70,7,1);
	MOVLW       63
	MOVWF       FARG_Glcd_Rectangle_x_upper_left+0 
	CLRF        FARG_Glcd_Rectangle_y_upper_left+0 
	MOVLW       70
	MOVWF       FARG_Glcd_Rectangle_x_bottom_right+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Rectangle_y_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Rectangle_color+0 
	CALL        _Glcd_Rectangle+0, 0
;Touch_Panel_Calibration_and_Write.c,140 :: 		Glcd_Box(66,3,67,4,1);
	MOVLW       66
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
	MOVLW       67
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
;Touch_Panel_Calibration_and_Write.c,141 :: 		Glcd_Rectangle(80,0,86,6,1);
	MOVLW       80
	MOVWF       FARG_Glcd_Rectangle_x_upper_left+0 
	CLRF        FARG_Glcd_Rectangle_y_upper_left+0 
	MOVLW       86
	MOVWF       FARG_Glcd_Rectangle_x_bottom_right+0 
	MOVLW       6
	MOVWF       FARG_Glcd_Rectangle_y_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Rectangle_color+0 
	CALL        _Glcd_Rectangle+0, 0
;Touch_Panel_Calibration_and_Write.c,142 :: 		Glcd_Dot(83,3,1);
	MOVLW       83
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
;Touch_Panel_Calibration_and_Write.c,144 :: 		Glcd_V_Line(0,7,0,1);
	CLRF        FARG_Glcd_V_Line_y_start+0 
	MOVLW       7
	MOVWF       FARG_Glcd_V_Line_y_end+0 
	CLRF        FARG_Glcd_V_Line_x_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_V_Line_color+0 
	CALL        _Glcd_V_Line+0, 0
;Touch_Panel_Calibration_and_Write.c,145 :: 		Glcd_Write_Text(clear_msg,1,0,0);
	MOVLW       _clear_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_clear_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	CLRF        FARG_Glcd_Write_Text_page_num+0 
	CLRF        FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration_and_Write.c,146 :: 		Glcd_V_Line(0,7,97,1);
	CLRF        FARG_Glcd_V_Line_y_start+0 
	MOVLW       7
	MOVWF       FARG_Glcd_V_Line_y_end+0 
	MOVLW       97
	MOVWF       FARG_Glcd_V_Line_x_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_V_Line_color+0 
	CALL        _Glcd_V_Line+0, 0
;Touch_Panel_Calibration_and_Write.c,147 :: 		if (write_erase)
	BTFSS       _write_erase+0, BitPos(_write_erase+0) 
	GOTO        L_main12
;Touch_Panel_Calibration_and_Write.c,148 :: 		Glcd_Write_Text(erase_msg,98,0,0);
	MOVLW       _erase_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_erase_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       98
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	CLRF        FARG_Glcd_Write_Text_page_num+0 
	CLRF        FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
	GOTO        L_main13
L_main12:
;Touch_Panel_Calibration_and_Write.c,150 :: 		Glcd_Write_Text(write_msg,98,0,0);
	MOVLW       _write_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_write_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       98
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	CLRF        FARG_Glcd_Write_Text_page_num+0 
	CLRF        FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
L_main13:
;Touch_Panel_Calibration_and_Write.c,151 :: 		}
L_main11:
;Touch_Panel_Calibration_and_Write.c,154 :: 		if ((x_coord > 96) && (y_coord < 8)) {
	MOVLW       0
	MOVWF       R0 
	MOVF        _x_coord+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main59
	MOVF        _x_coord+0, 0 
	SUBLW       96
L__main59:
	BTFSC       STATUS+0, 0 
	GOTO        L_main16
	MOVLW       0
	SUBWF       _y_coord+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main60
	MOVLW       8
	SUBWF       _y_coord+0, 0 
L__main60:
	BTFSC       STATUS+0, 0 
	GOTO        L_main16
L__main51:
;Touch_Panel_Calibration_and_Write.c,155 :: 		if (write_erase) {
	BTFSS       _write_erase+0, BitPos(_write_erase+0) 
	GOTO        L_main17
;Touch_Panel_Calibration_and_Write.c,156 :: 		write_erase = 0;
	BCF         _write_erase+0, BitPos(_write_erase+0) 
;Touch_Panel_Calibration_and_Write.c,157 :: 		Glcd_Write_Text(write_msg,98,0,0);
	MOVLW       _write_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_write_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       98
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	CLRF        FARG_Glcd_Write_Text_page_num+0 
	CLRF        FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration_and_Write.c,158 :: 		Delay_ms(500);
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_main18:
	DECFSZ      R13, 1, 1
	BRA         L_main18
	DECFSZ      R12, 1, 1
	BRA         L_main18
	DECFSZ      R11, 1, 1
	BRA         L_main18
	NOP
;Touch_Panel_Calibration_and_Write.c,159 :: 		}
	GOTO        L_main19
L_main17:
;Touch_Panel_Calibration_and_Write.c,161 :: 		write_erase = 1;
	BSF         _write_erase+0, BitPos(_write_erase+0) 
;Touch_Panel_Calibration_and_Write.c,162 :: 		Glcd_Write_Text(erase_msg,98,0,0);
	MOVLW       _erase_msg+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(_erase_msg+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       98
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	CLRF        FARG_Glcd_Write_Text_page_num+0 
	CLRF        FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Touch_Panel_Calibration_and_Write.c,163 :: 		Delay_ms(500);
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_main20:
	DECFSZ      R13, 1, 1
	BRA         L_main20
	DECFSZ      R12, 1, 1
	BRA         L_main20
	DECFSZ      R11, 1, 1
	BRA         L_main20
	NOP
;Touch_Panel_Calibration_and_Write.c,164 :: 		}
L_main19:
;Touch_Panel_Calibration_and_Write.c,165 :: 		}
L_main16:
;Touch_Panel_Calibration_and_Write.c,168 :: 		if ((x_coord >= 41) && (x_coord <= 52) && (y_coord <= 9))
	MOVLW       0
	SUBWF       _x_coord+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main61
	MOVLW       41
	SUBWF       _x_coord+0, 0 
L__main61:
	BTFSS       STATUS+0, 0 
	GOTO        L_main23
	MOVLW       0
	MOVWF       R0 
	MOVF        _x_coord+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main62
	MOVF        _x_coord+0, 0 
	SUBLW       52
L__main62:
	BTFSS       STATUS+0, 0 
	GOTO        L_main23
	MOVLW       0
	MOVWF       R0 
	MOVF        _y_coord+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main63
	MOVF        _y_coord+0, 0 
	SUBLW       9
L__main63:
	BTFSS       STATUS+0, 0 
	GOTO        L_main23
L__main50:
;Touch_Panel_Calibration_and_Write.c,169 :: 		pen_size = 3;
	MOVLW       3
	MOVWF       _pen_size+0 
L_main23:
;Touch_Panel_Calibration_and_Write.c,171 :: 		if ((x_coord >= 63) && (x_coord <= 70) && (y_coord <= 7))
	MOVLW       0
	SUBWF       _x_coord+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main64
	MOVLW       63
	SUBWF       _x_coord+0, 0 
L__main64:
	BTFSS       STATUS+0, 0 
	GOTO        L_main26
	MOVLW       0
	MOVWF       R0 
	MOVF        _x_coord+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main65
	MOVF        _x_coord+0, 0 
	SUBLW       70
L__main65:
	BTFSS       STATUS+0, 0 
	GOTO        L_main26
	MOVLW       0
	MOVWF       R0 
	MOVF        _y_coord+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main66
	MOVF        _y_coord+0, 0 
	SUBLW       7
L__main66:
	BTFSS       STATUS+0, 0 
	GOTO        L_main26
L__main49:
;Touch_Panel_Calibration_and_Write.c,172 :: 		pen_size = 2;
	MOVLW       2
	MOVWF       _pen_size+0 
L_main26:
;Touch_Panel_Calibration_and_Write.c,174 :: 		if ((x_coord >= 80) && (x_coord <= 86) && (y_coord <= 6))
	MOVLW       0
	SUBWF       _x_coord+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main67
	MOVLW       80
	SUBWF       _x_coord+0, 0 
L__main67:
	BTFSS       STATUS+0, 0 
	GOTO        L_main29
	MOVLW       0
	MOVWF       R0 
	MOVF        _x_coord+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main68
	MOVF        _x_coord+0, 0 
	SUBLW       86
L__main68:
	BTFSS       STATUS+0, 0 
	GOTO        L_main29
	MOVLW       0
	MOVWF       R0 
	MOVF        _y_coord+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main69
	MOVF        _y_coord+0, 0 
	SUBLW       6
L__main69:
	BTFSS       STATUS+0, 0 
	GOTO        L_main29
L__main48:
;Touch_Panel_Calibration_and_Write.c,175 :: 		pen_size = 1;
	MOVLW       1
	MOVWF       _pen_size+0 
L_main29:
;Touch_Panel_Calibration_and_Write.c,177 :: 		if (y_coord < 11)
	MOVLW       0
	SUBWF       _y_coord+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main70
	MOVLW       11
	SUBWF       _y_coord+0, 0 
L__main70:
	BTFSC       STATUS+0, 0 
	GOTO        L_main30
;Touch_Panel_Calibration_and_Write.c,178 :: 		continue;
	GOTO        L_main5
L_main30:
;Touch_Panel_Calibration_and_Write.c,180 :: 		switch (pen_size) {
	GOTO        L_main31
;Touch_Panel_Calibration_and_Write.c,181 :: 		case 1 : {
L_main33:
;Touch_Panel_Calibration_and_Write.c,182 :: 		if ( (x_coord >= 0) && (y_coord >= 0) && (x_coord <= 127) && (y_coord <= 63) )
	MOVLW       0
	SUBWF       _x_coord+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main71
	MOVLW       0
	SUBWF       _x_coord+0, 0 
L__main71:
	BTFSS       STATUS+0, 0 
	GOTO        L_main36
	MOVLW       0
	SUBWF       _y_coord+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main72
	MOVLW       0
	SUBWF       _y_coord+0, 0 
L__main72:
	BTFSS       STATUS+0, 0 
	GOTO        L_main36
	MOVLW       0
	MOVWF       R0 
	MOVF        _x_coord+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main73
	MOVF        _x_coord+0, 0 
	SUBLW       127
L__main73:
	BTFSS       STATUS+0, 0 
	GOTO        L_main36
	MOVLW       0
	MOVWF       R0 
	MOVF        _y_coord+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main74
	MOVF        _y_coord+0, 0 
	SUBLW       63
L__main74:
	BTFSS       STATUS+0, 0 
	GOTO        L_main36
L__main47:
;Touch_Panel_Calibration_and_Write.c,183 :: 		Glcd_Dot(x_coord, y_coord, write_erase);
	MOVF        _x_coord+0, 0 
	MOVWF       FARG_Glcd_Dot_x_pos+0 
	MOVF        _y_coord+0, 0 
	MOVWF       FARG_Glcd_Dot_y_pos+0 
	MOVLW       0
	BTFSC       _write_erase+0, BitPos(_write_erase+0) 
	MOVLW       1
	MOVWF       FARG_Glcd_Dot_color+0 
	CALL        _Glcd_Dot+0, 0
L_main36:
;Touch_Panel_Calibration_and_Write.c,184 :: 		break;
	GOTO        L_main32
;Touch_Panel_Calibration_and_Write.c,186 :: 		case 2 : {
L_main37:
;Touch_Panel_Calibration_and_Write.c,187 :: 		if ( (x_coord >= 0) && (y_coord >= 0) && (x_coord <= 127-1) && (y_coord <= 63-1) )
	MOVLW       0
	SUBWF       _x_coord+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main75
	MOVLW       0
	SUBWF       _x_coord+0, 0 
L__main75:
	BTFSS       STATUS+0, 0 
	GOTO        L_main40
	MOVLW       0
	SUBWF       _y_coord+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main76
	MOVLW       0
	SUBWF       _y_coord+0, 0 
L__main76:
	BTFSS       STATUS+0, 0 
	GOTO        L_main40
	MOVF        _x_coord+1, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main77
	MOVF        _x_coord+0, 0 
	SUBLW       126
L__main77:
	BTFSS       STATUS+0, 0 
	GOTO        L_main40
	MOVF        _y_coord+1, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main78
	MOVF        _y_coord+0, 0 
	SUBLW       62
L__main78:
	BTFSS       STATUS+0, 0 
	GOTO        L_main40
L__main46:
;Touch_Panel_Calibration_and_Write.c,188 :: 		Glcd_Box(x_coord, y_coord, x_coord + 1, y_coord + 1, write_erase);
	MOVF        _x_coord+0, 0 
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	MOVF        _y_coord+0, 0 
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
	MOVF        _x_coord+0, 0 
	ADDLW       1
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	MOVF        _y_coord+0, 0 
	ADDLW       1
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	MOVLW       0
	BTFSC       _write_erase+0, BitPos(_write_erase+0) 
	MOVLW       1
	MOVWF       FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
L_main40:
;Touch_Panel_Calibration_and_Write.c,189 :: 		break;
	GOTO        L_main32
;Touch_Panel_Calibration_and_Write.c,191 :: 		case 3 : {
L_main41:
;Touch_Panel_Calibration_and_Write.c,192 :: 		if ( (x_coord >= 1) && (y_coord >= 1) && (x_coord <= 127-2) && (y_coord <= 63-2) )
	MOVLW       0
	SUBWF       _x_coord+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main79
	MOVLW       1
	SUBWF       _x_coord+0, 0 
L__main79:
	BTFSS       STATUS+0, 0 
	GOTO        L_main44
	MOVLW       0
	SUBWF       _y_coord+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main80
	MOVLW       1
	SUBWF       _y_coord+0, 0 
L__main80:
	BTFSS       STATUS+0, 0 
	GOTO        L_main44
	MOVF        _x_coord+1, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main81
	MOVF        _x_coord+0, 0 
	SUBLW       125
L__main81:
	BTFSS       STATUS+0, 0 
	GOTO        L_main44
	MOVF        _y_coord+1, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main82
	MOVF        _y_coord+0, 0 
	SUBLW       61
L__main82:
	BTFSS       STATUS+0, 0 
	GOTO        L_main44
L__main45:
;Touch_Panel_Calibration_and_Write.c,193 :: 		Glcd_Box(x_coord-1, y_coord-1, x_coord + 2, y_coord + 2, write_erase);
	DECF        _x_coord+0, 0 
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	DECF        _y_coord+0, 0 
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
	MOVLW       2
	ADDWF       _x_coord+0, 0 
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	MOVLW       2
	ADDWF       _y_coord+0, 0 
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	MOVLW       0
	BTFSC       _write_erase+0, BitPos(_write_erase+0) 
	MOVLW       1
	MOVWF       FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
L_main44:
;Touch_Panel_Calibration_and_Write.c,194 :: 		break;
	GOTO        L_main32
;Touch_Panel_Calibration_and_Write.c,196 :: 		}
L_main31:
	MOVF        _pen_size+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_main33
	MOVF        _pen_size+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_main37
	MOVF        _pen_size+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L_main41
L_main32:
;Touch_Panel_Calibration_and_Write.c,197 :: 		}
L_main8:
;Touch_Panel_Calibration_and_Write.c,198 :: 		}
L_main7:
;Touch_Panel_Calibration_and_Write.c,199 :: 		}
	GOTO        L_main5
;Touch_Panel_Calibration_and_Write.c,200 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
