
_delay2S:

;Glcd.c,51 :: 		void delay2S(){                                    // 2 seconds delay function
;Glcd.c,52 :: 		Delay_ms(2000);
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_delay2S0:
	DECFSZ      R13, 1, 1
	BRA         L_delay2S0
	DECFSZ      R12, 1, 1
	BRA         L_delay2S0
	DECFSZ      R11, 1, 1
	BRA         L_delay2S0
	NOP
;Glcd.c,53 :: 		}
L_end_delay2S:
	RETURN      0
; end of _delay2S

_main:

;Glcd.c,55 :: 		void main() {
;Glcd.c,60 :: 		ANSELB = 0;                        // Configure PORTB pins as digital I/O
	CLRF        ANSELB+0 
;Glcd.c,61 :: 		ANSELD = 0;                        // Configure PORTD pins as digital I/O
	CLRF        ANSELD+0 
;Glcd.c,62 :: 		ANSELA = 0;                        // Configure PORTA pins as digital I/O
	CLRF        ANSELA+0 
;Glcd.c,63 :: 		ANSELC = 0;                        // Configure PORTC pins as digital I/O
	CLRF        ANSELC+0 
;Glcd.c,65 :: 		Glcd_Init();                                   // Initialize GLCD
	CALL        _Glcd_Init+0, 0
;Glcd.c,66 :: 		Glcd_Fill(0x00);                               // Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Glcd.c,68 :: 		while(1) {
L_main1:
;Glcd.c,69 :: 		Glcd_Image(truck_bmp);                            // Draw image
	MOVLW       _truck_bmp+0
	MOVWF       FARG_Glcd_Image_image+0 
	MOVLW       hi_addr(_truck_bmp+0)
	MOVWF       FARG_Glcd_Image_image+1 
	MOVLW       higher_addr(_truck_bmp+0)
	MOVWF       FARG_Glcd_Image_image+2 
	CALL        _Glcd_Image+0, 0
;Glcd.c,70 :: 		Delay2s(); Delay2s();
	CALL        _delay2S+0, 0
	CALL        _delay2S+0, 0
;Glcd.c,71 :: 		Glcd_fill(0x00);                                  // Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Glcd.c,72 :: 		Glcd_PartialImage(0,0,68,30,128,64,truck_bmp);    // Partial image
	CLRF        FARG_Glcd_PartialImage_x_left+0 
	CLRF        FARG_Glcd_PartialImage_x_left+1 
	CLRF        FARG_Glcd_PartialImage_y_top+0 
	CLRF        FARG_Glcd_PartialImage_y_top+1 
	MOVLW       68
	MOVWF       FARG_Glcd_PartialImage_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_width+1 
	MOVLW       30
	MOVWF       FARG_Glcd_PartialImage_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_height+1 
	MOVLW       128
	MOVWF       FARG_Glcd_PartialImage_picture_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_width+1 
	MOVLW       64
	MOVWF       FARG_Glcd_PartialImage_picture_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_height+1 
	MOVLW       _truck_bmp+0
	MOVWF       FARG_Glcd_PartialImage_image+0 
	MOVLW       hi_addr(_truck_bmp+0)
	MOVWF       FARG_Glcd_PartialImage_image+1 
	MOVLW       higher_addr(_truck_bmp+0)
	MOVWF       FARG_Glcd_PartialImage_image+2 
	CALL        _Glcd_PartialImage+0, 0
;Glcd.c,73 :: 		Delay_ms(500);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_main3:
	DECFSZ      R13, 1, 1
	BRA         L_main3
	DECFSZ      R12, 1, 1
	BRA         L_main3
	DECFSZ      R11, 1, 1
	BRA         L_main3
	NOP
	NOP
;Glcd.c,74 :: 		Glcd_PartialImage(24,16,68,30,128,64,truck_bmp);
	MOVLW       24
	MOVWF       FARG_Glcd_PartialImage_x_left+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_x_left+1 
	MOVLW       16
	MOVWF       FARG_Glcd_PartialImage_y_top+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_y_top+1 
	MOVLW       68
	MOVWF       FARG_Glcd_PartialImage_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_width+1 
	MOVLW       30
	MOVWF       FARG_Glcd_PartialImage_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_height+1 
	MOVLW       128
	MOVWF       FARG_Glcd_PartialImage_picture_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_width+1 
	MOVLW       64
	MOVWF       FARG_Glcd_PartialImage_picture_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_height+1 
	MOVLW       _truck_bmp+0
	MOVWF       FARG_Glcd_PartialImage_image+0 
	MOVLW       hi_addr(_truck_bmp+0)
	MOVWF       FARG_Glcd_PartialImage_image+1 
	MOVLW       higher_addr(_truck_bmp+0)
	MOVWF       FARG_Glcd_PartialImage_image+2 
	CALL        _Glcd_PartialImage+0, 0
;Glcd.c,75 :: 		Delay_ms(500);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_main4:
	DECFSZ      R13, 1, 1
	BRA         L_main4
	DECFSZ      R12, 1, 1
	BRA         L_main4
	DECFSZ      R11, 1, 1
	BRA         L_main4
	NOP
	NOP
;Glcd.c,76 :: 		Glcd_PartialImage(56,34,68,30,128,64,truck_bmp);
	MOVLW       56
	MOVWF       FARG_Glcd_PartialImage_x_left+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_x_left+1 
	MOVLW       34
	MOVWF       FARG_Glcd_PartialImage_y_top+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_y_top+1 
	MOVLW       68
	MOVWF       FARG_Glcd_PartialImage_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_width+1 
	MOVLW       30
	MOVWF       FARG_Glcd_PartialImage_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_height+1 
	MOVLW       128
	MOVWF       FARG_Glcd_PartialImage_picture_width+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_width+1 
	MOVLW       64
	MOVWF       FARG_Glcd_PartialImage_picture_height+0 
	MOVLW       0
	MOVWF       FARG_Glcd_PartialImage_picture_height+1 
	MOVLW       _truck_bmp+0
	MOVWF       FARG_Glcd_PartialImage_image+0 
	MOVLW       hi_addr(_truck_bmp+0)
	MOVWF       FARG_Glcd_PartialImage_image+1 
	MOVLW       higher_addr(_truck_bmp+0)
	MOVWF       FARG_Glcd_PartialImage_image+2 
	CALL        _Glcd_PartialImage+0, 0
;Glcd.c,77 :: 		Delay2s(); Delay2s();
	CALL        _delay2S+0, 0
	CALL        _delay2S+0, 0
;Glcd.c,78 :: 		Glcd_Fill(0x00);                             // Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Glcd.c,80 :: 		Glcd_Box(62,40,124,56,1);                    // Draw box
	MOVLW       62
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	MOVLW       40
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
	MOVLW       124
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	MOVLW       56
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
;Glcd.c,81 :: 		Glcd_Rectangle(5,5,84,35,1);                 // Draw rectangle
	MOVLW       5
	MOVWF       FARG_Glcd_Rectangle_x_upper_left+0 
	MOVLW       5
	MOVWF       FARG_Glcd_Rectangle_y_upper_left+0 
	MOVLW       84
	MOVWF       FARG_Glcd_Rectangle_x_bottom_right+0 
	MOVLW       35
	MOVWF       FARG_Glcd_Rectangle_y_bottom_right+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Rectangle_color+0 
	CALL        _Glcd_Rectangle+0, 0
;Glcd.c,82 :: 		Delay_ms(1000);
	MOVLW       11
	MOVWF       R11, 0
	MOVLW       38
	MOVWF       R12, 0
	MOVLW       93
	MOVWF       R13, 0
L_main5:
	DECFSZ      R13, 1, 1
	BRA         L_main5
	DECFSZ      R12, 1, 1
	BRA         L_main5
	DECFSZ      R11, 1, 1
	BRA         L_main5
	NOP
	NOP
;Glcd.c,83 :: 		Glcd_Rectangle_Round_Edges(2,2,87,38,7,1);
	MOVLW       2
	MOVWF       FARG_Glcd_Rectangle_Round_Edges_x_upper_left+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Rectangle_Round_Edges_y_upper_left+0 
	MOVLW       87
	MOVWF       FARG_Glcd_Rectangle_Round_Edges_x_bottom_right+0 
	MOVLW       38
	MOVWF       FARG_Glcd_Rectangle_Round_Edges_y_bottom_right+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Rectangle_Round_Edges_round_radius+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Rectangle_Round_Edges_color+0 
	CALL        _Glcd_Rectangle_Round_Edges+0, 0
;Glcd.c,84 :: 		Delay_ms(1000);
	MOVLW       11
	MOVWF       R11, 0
	MOVLW       38
	MOVWF       R12, 0
	MOVLW       93
	MOVWF       R13, 0
L_main6:
	DECFSZ      R13, 1, 1
	BRA         L_main6
	DECFSZ      R12, 1, 1
	BRA         L_main6
	DECFSZ      R11, 1, 1
	BRA         L_main6
	NOP
	NOP
;Glcd.c,85 :: 		Glcd_Rectangle_Round_Edges_Fill(8,8,81,32,12,1);
	MOVLW       8
	MOVWF       FARG_Glcd_Rectangle_Round_Edges_Fill_x_upper_left+0 
	MOVLW       8
	MOVWF       FARG_Glcd_Rectangle_Round_Edges_Fill_y_upper_left+0 
	MOVLW       81
	MOVWF       FARG_Glcd_Rectangle_Round_Edges_Fill_x_bottom_right+0 
	MOVLW       32
	MOVWF       FARG_Glcd_Rectangle_Round_Edges_Fill_y_bottom_right+0 
	MOVLW       12
	MOVWF       FARG_Glcd_Rectangle_Round_Edges_Fill_round_radius+0 
	MOVLW       1
	MOVWF       FARG_Glcd_Rectangle_Round_Edges_Fill_color+0 
	CALL        _Glcd_Rectangle_Round_Edges_Fill+0, 0
;Glcd.c,86 :: 		Delay_ms(1000);
	MOVLW       11
	MOVWF       R11, 0
	MOVLW       38
	MOVWF       R12, 0
	MOVLW       93
	MOVWF       R13, 0
L_main7:
	DECFSZ      R13, 1, 1
	BRA         L_main7
	DECFSZ      R12, 1, 1
	BRA         L_main7
	DECFSZ      R11, 1, 1
	BRA         L_main7
	NOP
	NOP
;Glcd.c,87 :: 		Glcd_Line(0, 0, 127, 63, 1);                 // Draw line
	CLRF        FARG_Glcd_Line_x_start+0 
	CLRF        FARG_Glcd_Line_x_start+1 
	CLRF        FARG_Glcd_Line_y_start+0 
	CLRF        FARG_Glcd_Line_y_start+1 
	MOVLW       127
	MOVWF       FARG_Glcd_Line_x_end+0 
	MOVLW       0
	MOVWF       FARG_Glcd_Line_x_end+1 
	MOVLW       63
	MOVWF       FARG_Glcd_Line_y_end+0 
	MOVLW       0
	MOVWF       FARG_Glcd_Line_y_end+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Line_color+0 
	CALL        _Glcd_Line+0, 0
;Glcd.c,88 :: 		Delay2s();
	CALL        _delay2S+0, 0
;Glcd.c,90 :: 		for(counter = 5; counter < 60; counter+=5 ){ // Draw horizontal and vertical lines
	MOVLW       5
	MOVWF       main_counter_L0+0 
L_main8:
	MOVLW       60
	SUBWF       main_counter_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_main9
;Glcd.c,91 :: 		Delay_ms(250);
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L_main11:
	DECFSZ      R13, 1, 1
	BRA         L_main11
	DECFSZ      R12, 1, 1
	BRA         L_main11
	DECFSZ      R11, 1, 1
	BRA         L_main11
	NOP
	NOP
;Glcd.c,92 :: 		Glcd_V_Line(2, 54, counter, 1);
	MOVLW       2
	MOVWF       FARG_Glcd_V_Line_y_start+0 
	MOVLW       54
	MOVWF       FARG_Glcd_V_Line_y_end+0 
	MOVF        main_counter_L0+0, 0 
	MOVWF       FARG_Glcd_V_Line_x_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_V_Line_color+0 
	CALL        _Glcd_V_Line+0, 0
;Glcd.c,93 :: 		Glcd_H_Line(2, 120, counter, 1);
	MOVLW       2
	MOVWF       FARG_Glcd_H_Line_x_start+0 
	MOVLW       120
	MOVWF       FARG_Glcd_H_Line_x_end+0 
	MOVF        main_counter_L0+0, 0 
	MOVWF       FARG_Glcd_H_Line_y_pos+0 
	MOVLW       1
	MOVWF       FARG_Glcd_H_Line_color+0 
	CALL        _Glcd_H_Line+0, 0
;Glcd.c,90 :: 		for(counter = 5; counter < 60; counter+=5 ){ // Draw horizontal and vertical lines
	MOVLW       5
	ADDWF       main_counter_L0+0, 1 
;Glcd.c,94 :: 		}
	GOTO        L_main8
L_main9:
;Glcd.c,95 :: 		Delay2s();
	CALL        _delay2S+0, 0
;Glcd.c,97 :: 		Glcd_Fill(0x00);                             // Clear Glcd
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Glcd.c,99 :: 		for (counter = 1; counter <= 10; counter++)  // Draw circles
	MOVLW       1
	MOVWF       main_counter_L0+0 
L_main12:
	MOVF        main_counter_L0+0, 0 
	SUBLW       10
	BTFSS       STATUS+0, 0 
	GOTO        L_main13
;Glcd.c,100 :: 		Glcd_Circle(63,32, 3*counter, 1);
	MOVLW       63
	MOVWF       FARG_Glcd_Circle_x_center+0 
	MOVLW       0
	MOVWF       FARG_Glcd_Circle_x_center+1 
	MOVLW       32
	MOVWF       FARG_Glcd_Circle_y_center+0 
	MOVLW       0
	MOVWF       FARG_Glcd_Circle_y_center+1 
	MOVLW       3
	MULWF       main_counter_L0+0 
	MOVF        PRODL+0, 0 
	MOVWF       FARG_Glcd_Circle_radius+0 
	MOVF        PRODH+0, 0 
	MOVWF       FARG_Glcd_Circle_radius+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Circle_color+0 
	CALL        _Glcd_Circle+0, 0
;Glcd.c,99 :: 		for (counter = 1; counter <= 10; counter++)  // Draw circles
	INCF        main_counter_L0+0, 1 
;Glcd.c,100 :: 		Glcd_Circle(63,32, 3*counter, 1);
	GOTO        L_main12
L_main13:
;Glcd.c,101 :: 		Delay2s();
	CALL        _delay2S+0, 0
;Glcd.c,103 :: 		for (counter = 1; counter <= 10; counter++)  // Draw circles
	MOVLW       1
	MOVWF       main_counter_L0+0 
L_main15:
	MOVF        main_counter_L0+0, 0 
	SUBLW       10
	BTFSS       STATUS+0, 0 
	GOTO        L_main16
;Glcd.c,104 :: 		Glcd_Circle_Fill(63,32, 3*counter, 1);
	MOVLW       63
	MOVWF       FARG_Glcd_Circle_Fill_x_center+0 
	MOVLW       0
	MOVWF       FARG_Glcd_Circle_Fill_x_center+1 
	MOVLW       32
	MOVWF       FARG_Glcd_Circle_Fill_y_center+0 
	MOVLW       0
	MOVWF       FARG_Glcd_Circle_Fill_y_center+1 
	MOVLW       3
	MULWF       main_counter_L0+0 
	MOVF        PRODL+0, 0 
	MOVWF       FARG_Glcd_Circle_Fill_radius+0 
	MOVF        PRODH+0, 0 
	MOVWF       FARG_Glcd_Circle_Fill_radius+1 
	MOVLW       1
	MOVWF       FARG_Glcd_Circle_Fill_color+0 
	CALL        _Glcd_Circle_Fill+0, 0
;Glcd.c,103 :: 		for (counter = 1; counter <= 10; counter++)  // Draw circles
	INCF        main_counter_L0+0, 1 
;Glcd.c,104 :: 		Glcd_Circle_Fill(63,32, 3*counter, 1);
	GOTO        L_main15
L_main16:
;Glcd.c,105 :: 		Delay2s();
	CALL        _delay2S+0, 0
;Glcd.c,107 :: 		Glcd_Box(12,20, 70,57, 2);                   // Draw box
	MOVLW       12
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	MOVLW       20
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
	MOVLW       70
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	MOVLW       57
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
;Glcd.c,108 :: 		Delay2s();
	CALL        _delay2S+0, 0
;Glcd.c,110 :: 		Glcd_Fill(0xFF);                             // Fill Glcd
	MOVLW       255
	MOVWF       FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Glcd.c,112 :: 		Glcd_Set_Font(Character8x7, 8, 7, 32);       // Choose font, see __Lib_GLCDFonts.c in Uses folder
	MOVLW       _Character8x7+0
	MOVWF       FARG_Glcd_Set_Font_activeFont+0 
	MOVLW       hi_addr(_Character8x7+0)
	MOVWF       FARG_Glcd_Set_Font_activeFont+1 
	MOVLW       higher_addr(_Character8x7+0)
	MOVWF       FARG_Glcd_Set_Font_activeFont+2 
	MOVLW       8
	MOVWF       FARG_Glcd_Set_Font_aFontWidth+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Set_Font_aFontHeight+0 
	MOVLW       32
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+0 
	MOVLW       0
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+1 
	CALL        _Glcd_Set_Font+0, 0
;Glcd.c,113 :: 		Glcd_Write_Text("TEXT DEMO", 24, 3, 2);      // Write string
	MOVLW       ?lstr1_Glcd+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr1_Glcd+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       24
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Glcd.c,114 :: 		Delay2s();
	CALL        _delay2S+0, 0
;Glcd.c,115 :: 		Glcd_Fill(0x00);                             // Clear Glcd
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;Glcd.c,117 :: 		Glcd_Set_Font(Character8x7, 8, 7, 32);       // Change font
	MOVLW       _Character8x7+0
	MOVWF       FARG_Glcd_Set_Font_activeFont+0 
	MOVLW       hi_addr(_Character8x7+0)
	MOVWF       FARG_Glcd_Set_Font_activeFont+1 
	MOVLW       higher_addr(_Character8x7+0)
	MOVWF       FARG_Glcd_Set_Font_activeFont+2 
	MOVLW       8
	MOVWF       FARG_Glcd_Set_Font_aFontWidth+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Set_Font_aFontHeight+0 
	MOVLW       32
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+0 
	MOVLW       0
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+1 
	CALL        _Glcd_Set_Font+0, 0
;Glcd.c,118 :: 		someText = "8x7 Font";
	MOVLW       ?lstr2_Glcd+0
	MOVWF       main_someText_L0+0 
	MOVLW       hi_addr(?lstr2_Glcd+0)
	MOVWF       main_someText_L0+1 
;Glcd.c,119 :: 		Glcd_Write_Text(someText, 5, 0, 2);          // Write string
	MOVF        main_someText_L0+0, 0 
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVF        main_someText_L0+1, 0 
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       5
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	CLRF        FARG_Glcd_Write_Text_page_num+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Glcd.c,120 :: 		Delay2s();
	CALL        _delay2S+0, 0
;Glcd.c,122 :: 		Glcd_Set_Font(System3x5, 3, 5, 32);          // Change font
	MOVLW       _System3x5+0
	MOVWF       FARG_Glcd_Set_Font_activeFont+0 
	MOVLW       hi_addr(_System3x5+0)
	MOVWF       FARG_Glcd_Set_Font_activeFont+1 
	MOVLW       higher_addr(_System3x5+0)
	MOVWF       FARG_Glcd_Set_Font_activeFont+2 
	MOVLW       3
	MOVWF       FARG_Glcd_Set_Font_aFontWidth+0 
	MOVLW       5
	MOVWF       FARG_Glcd_Set_Font_aFontHeight+0 
	MOVLW       32
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+0 
	MOVLW       0
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+1 
	CALL        _Glcd_Set_Font+0, 0
;Glcd.c,123 :: 		someText = "3X5 CAPITALS ONLY";
	MOVLW       ?lstr3_Glcd+0
	MOVWF       main_someText_L0+0 
	MOVLW       hi_addr(?lstr3_Glcd+0)
	MOVWF       main_someText_L0+1 
;Glcd.c,124 :: 		Glcd_Write_Text(someText, 60, 2, 2);         // Write string
	MOVF        main_someText_L0+0, 0 
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVF        main_someText_L0+1, 0 
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       60
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Glcd.c,125 :: 		Delay2s();
	CALL        _delay2S+0, 0
;Glcd.c,127 :: 		Glcd_Set_Font(font5x7, 5, 7, 32);            // Change font
	MOVLW       _font5x7+0
	MOVWF       FARG_Glcd_Set_Font_activeFont+0 
	MOVLW       hi_addr(_font5x7+0)
	MOVWF       FARG_Glcd_Set_Font_activeFont+1 
	MOVLW       higher_addr(_font5x7+0)
	MOVWF       FARG_Glcd_Set_Font_activeFont+2 
	MOVLW       5
	MOVWF       FARG_Glcd_Set_Font_aFontWidth+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Set_Font_aFontHeight+0 
	MOVLW       32
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+0 
	MOVLW       0
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+1 
	CALL        _Glcd_Set_Font+0, 0
;Glcd.c,128 :: 		someText = "5x7 Font";
	MOVLW       ?lstr4_Glcd+0
	MOVWF       main_someText_L0+0 
	MOVLW       hi_addr(?lstr4_Glcd+0)
	MOVWF       main_someText_L0+1 
;Glcd.c,129 :: 		Glcd_Write_Text(someText, 5, 4, 2);          // Write string
	MOVF        main_someText_L0+0, 0 
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVF        main_someText_L0+1, 0 
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       5
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       4
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Glcd.c,130 :: 		Delay2s();
	CALL        _delay2S+0, 0
;Glcd.c,132 :: 		Glcd_Set_Font(FontSystem5x7_v2, 5, 7, 32);   // Change font
	MOVLW       _FontSystem5x7_v2+0
	MOVWF       FARG_Glcd_Set_Font_activeFont+0 
	MOVLW       hi_addr(_FontSystem5x7_v2+0)
	MOVWF       FARG_Glcd_Set_Font_activeFont+1 
	MOVLW       higher_addr(_FontSystem5x7_v2+0)
	MOVWF       FARG_Glcd_Set_Font_activeFont+2 
	MOVLW       5
	MOVWF       FARG_Glcd_Set_Font_aFontWidth+0 
	MOVLW       7
	MOVWF       FARG_Glcd_Set_Font_aFontHeight+0 
	MOVLW       32
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+0 
	MOVLW       0
	MOVWF       FARG_Glcd_Set_Font_aFontOffs+1 
	CALL        _Glcd_Set_Font+0, 0
;Glcd.c,133 :: 		someText = "5x7 Font (v2)";
	MOVLW       ?lstr5_Glcd+0
	MOVWF       main_someText_L0+0 
	MOVLW       hi_addr(?lstr5_Glcd+0)
	MOVWF       main_someText_L0+1 
;Glcd.c,134 :: 		Glcd_Write_Text(someText, 50, 6, 2);         // Write string
	MOVF        main_someText_L0+0, 0 
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVF        main_someText_L0+1, 0 
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       50
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       6
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;Glcd.c,135 :: 		Delay2s();
	CALL        _delay2S+0, 0
;Glcd.c,136 :: 		}
	GOTO        L_main1
;Glcd.c,138 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
