#line 1 "C:/Users/Public/Documents/Mikroelektronika/mikroC PRO for PIC/Examples/Development Systems/EasyPIC v8/Glcd/Glcd.c"
#line 30 "C:/Users/Public/Documents/Mikroelektronika/mikroC PRO for PIC/Examples/Development Systems/EasyPIC v8/Glcd/Glcd.c"
const code char truck_bmp[1024];



char GLCD_DataPort at PORTD;

sbit GLCD_CS1 at LATB5_bit;
sbit GLCD_CS2 at LATB4_bit;
sbit GLCD_RS at LATB2_bit;
sbit GLCD_RW at LATB3_bit;
sbit GLCD_EN at LATC1_bit;
sbit GLCD_RST at LATA3_bit;

sbit GLCD_CS1_Direction at TRISB5_bit;
sbit GLCD_CS2_Direction at TRISB4_bit;
sbit GLCD_RS_Direction at TRISB2_bit;
sbit GLCD_RW_Direction at TRISB3_bit;
sbit GLCD_EN_Direction at TRISC1_bit;
sbit GLCD_RST_Direction at TRISA3_bit;


void delay2S(){
 Delay_ms(2000);
}

void main() {

 unsigned short counter;
 char *someText;

 ANSELB = 0;
 ANSELD = 0;
 ANSELA = 0;
 ANSELC = 0;

 Glcd_Init();
 Glcd_Fill(0x00);

 while(1) {
 Glcd_Image(truck_bmp);
 Delay2s(); Delay2s();
 Glcd_fill(0x00);
 Glcd_PartialImage(0,0,68,30,128,64,truck_bmp);
 Delay_ms(500);
 Glcd_PartialImage(24,16,68,30,128,64,truck_bmp);
 Delay_ms(500);
 Glcd_PartialImage(56,34,68,30,128,64,truck_bmp);
 Delay2s(); Delay2s();
 Glcd_Fill(0x00);

 Glcd_Box(62,40,124,56,1);
 Glcd_Rectangle(5,5,84,35,1);
 Delay_ms(1000);
 Glcd_Rectangle_Round_Edges(2,2,87,38,7,1);
 Delay_ms(1000);
 Glcd_Rectangle_Round_Edges_Fill(8,8,81,32,12,1);
 Delay_ms(1000);
 Glcd_Line(0, 0, 127, 63, 1);
 Delay2s();

 for(counter = 5; counter < 60; counter+=5 ){
 Delay_ms(250);
 Glcd_V_Line(2, 54, counter, 1);
 Glcd_H_Line(2, 120, counter, 1);
 }
 Delay2s();

 Glcd_Fill(0x00);

 for (counter = 1; counter <= 10; counter++)
 Glcd_Circle(63,32, 3*counter, 1);
 Delay2s();

 for (counter = 1; counter <= 10; counter++)
 Glcd_Circle_Fill(63,32, 3*counter, 1);
 Delay2s();

 Glcd_Box(12,20, 70,57, 2);
 Delay2s();

 Glcd_Fill(0xFF);

 Glcd_Set_Font(Character8x7, 8, 7, 32);
 Glcd_Write_Text("TEXT DEMO", 24, 3, 2);
 Delay2s();
 Glcd_Fill(0x00);

 Glcd_Set_Font(Character8x7, 8, 7, 32);
 someText = "8x7 Font";
 Glcd_Write_Text(someText, 5, 0, 2);
 Delay2s();

 Glcd_Set_Font(System3x5, 3, 5, 32);
 someText = "3X5 CAPITALS ONLY";
 Glcd_Write_Text(someText, 60, 2, 2);
 Delay2s();

 Glcd_Set_Font(font5x7, 5, 7, 32);
 someText = "5x7 Font";
 Glcd_Write_Text(someText, 5, 4, 2);
 Delay2s();

 Glcd_Set_Font(FontSystem5x7_v2, 5, 7, 32);
 someText = "5x7 Font (v2)";
 Glcd_Write_Text(someText, 50, 6, 2);
 Delay2s();
 }

}
