
_main:

;IRnec.c,52 :: 		void main() {
;IRnec.c,53 :: 		ANSELA = 0;                   // Configure PORT pins as digital
	CLRF        ANSELA+0 
;IRnec.c,54 :: 		ANSELB = 0;                   // Configure PORT pins as digital
	CLRF        ANSELB+0 
;IRnec.c,55 :: 		ANSELC = 0;                   // Configure PORT pins as digital
	CLRF        ANSELC+0 
;IRnec.c,56 :: 		ANSELD = 0;                   // Configure PORT pins as digital
	CLRF        ANSELD+0 
;IRnec.c,57 :: 		ANSELE = 0;                   // Configure PORT pins as digital
	CLRF        ANSELE+0 
;IRnec.c,58 :: 		ADCON0 = 0;                   // A/D off
	CLRF        ADCON0+0 
;IRnec.c,59 :: 		ADCON1 = 0x0f;                // all digital
	MOVLW       15
	MOVWF       ADCON1+0 
;IRnec.c,60 :: 		CM1CON0 = 0;                  // disable comparator
	CLRF        CM1CON0+0 
;IRnec.c,61 :: 		CM2CON0 = 0;                  // disable comparator
	CLRF        CM2CON0+0 
;IRnec.c,62 :: 		T0CON0 = 0x96;                // timer on 16 bit prescale 128:1
	MOVLW       150
	MOVWF       T0CON0+0 
;IRnec.c,63 :: 		T0CON1 = 0x44;
	MOVLW       68
	MOVWF       T0CON1+0 
;IRnec.c,64 :: 		TMR0L = 96;                   // Timer0 initial value
	MOVLW       96
	MOVWF       TMR0L+0 
;IRnec.c,65 :: 		TMR0H = 0xff;
	MOVLW       255
	MOVWF       TMR0H+0 
;IRnec.c,66 :: 		INTCON = 0x00;                // Disnable interrupts
	CLRF        INTCON+0 
;IRnec.c,68 :: 		TRISA = 0xC4;                 // all output except OSC pins and IR
	MOVLW       196
	MOVWF       TRISA+0 
;IRnec.c,69 :: 		TRISB = 0x00;                 // all output
	CLRF        TRISB+0 
;IRnec.c,70 :: 		TRISC = 0x00;                 // all output except
	CLRF        TRISC+0 
;IRnec.c,71 :: 		TRISD = 0x00;                 // all output
	CLRF        TRISD+0 
;IRnec.c,72 :: 		TRISE = 0;                    // all output
	CLRF        TRISE+0 
;IRnec.c,73 :: 		LATA = 0;                     // all low
	CLRF        LATA+0 
;IRnec.c,74 :: 		LATB = 0;                     // all low
	CLRF        LATB+0 
;IRnec.c,75 :: 		LATC = 0;                     // all low
	CLRF        LATC+0 
;IRnec.c,76 :: 		LATD = 0;                     // all low
	CLRF        LATD+0 
;IRnec.c,77 :: 		LATE = 0;                     // all low
	CLRF        LATE+0 
;IRnec.c,78 :: 		ir_in_direction = 1;          // IR input
	BSF         TRISA2_bit+0, BitPos(TRISA2_bit+0) 
;IRnec.c,80 :: 		Delay_ms(1000);                        // Wait for LCD to stabilize
	MOVLW       41
	MOVWF       R11, 0
	MOVLW       150
	MOVWF       R12, 0
	MOVLW       127
	MOVWF       R13, 0
L_main0:
	DECFSZ      R13, 1, 1
	BRA         L_main0
	DECFSZ      R12, 1, 1
	BRA         L_main0
	DECFSZ      R11, 1, 1
	BRA         L_main0
;IRnec.c,81 :: 		Lcd_Init();                            // Initialize Lcd
	CALL        _Lcd_Init+0, 0
;IRnec.c,82 :: 		Lcd_Cmd(_LCD_CLEAR);                   // Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;IRnec.c,83 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);              // Turn cursor off
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;IRnec.c,84 :: 		Lcd_Out(2,1, "waiting for IR  ");      // Print text to Lcd, 2nd row, 1st column
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr1_IRnec+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr1_IRnec+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;IRnec.c,85 :: 		while(1){
L_main1:
;IRnec.c,86 :: 		ir_result[0]=0;                    // prevent trigger on IR glitch
	CLRF        _ir_result+0 
;IRnec.c,87 :: 		ir_result[1]=0;                    // prevent trigger on IR glitch
	CLRF        _ir_result+1 
;IRnec.c,88 :: 		ir_result[2]=0;                    // prevent trigger on IR glitch
	CLRF        _ir_result+2 
;IRnec.c,89 :: 		ir_result[3]=0;                    // prevent trigger on IR glitch
	CLRF        _ir_result+3 
;IRnec.c,90 :: 		nec_read();
	CALL        _nec_read+0, 0
;IRnec.c,94 :: 		if((ir_result[0]==0x10)&&(ir_result[1]==0xee)){      // ADJUST for your remote ******
	MOVF        _ir_result+0, 0 
	XORLW       16
	BTFSS       STATUS+0, 2 
	GOTO        L_main5
	MOVF        _ir_result+1, 0 
	XORLW       238
	BTFSS       STATUS+0, 2 
	GOTO        L_main5
L__main41:
;IRnec.c,95 :: 		button = ir_result[2];
	MOVF        _ir_result+2, 0 
	MOVWF       _button+0 
;IRnec.c,96 :: 		switch(button){
	GOTO        L_main6
;IRnec.c,97 :: 		case 0x04: LATD.F0 = ~LATD.F0;break;   // album+ button       // ADJUST for your remote ******
L_main8:
	BTG         LATD+0, 0 
	GOTO        L_main7
;IRnec.c,98 :: 		case 0x05: LATD.F1 = ~LATD.F1;break;   // playlist+ button    // ADJUST for your remote ******
L_main9:
	BTG         LATD+0, 1 
	GOTO        L_main7
;IRnec.c,99 :: 		case 0x06: LATD.F2 = ~LATD.F2;break;   // chapter+ button     // ADJUST for your remote ******
L_main10:
	BTG         LATD+0, 2 
	GOTO        L_main7
;IRnec.c,100 :: 		case 0x08: LATD.F3 = ~LATD.F3;break;   // album- button       // ADJUST for your remote ******
L_main11:
	BTG         LATD+0, 3 
	GOTO        L_main7
;IRnec.c,101 :: 		case 0x09: LATD.F4 = ~LATD.F4;break;   // playlist- button    // ADJUST for your remote ******
L_main12:
	BTG         LATD+0, 4 
	GOTO        L_main7
;IRnec.c,102 :: 		case 0x0a: LATD.F5 = ~LATD.F5;break;   // chapter- button     // ADJUST for your remote ******
L_main13:
	BTG         LATD+0, 5 
	GOTO        L_main7
;IRnec.c,104 :: 		default: break;
L_main14:
	GOTO        L_main7
;IRnec.c,105 :: 		}
L_main6:
	MOVF        _button+0, 0 
	XORLW       4
	BTFSC       STATUS+0, 2 
	GOTO        L_main8
	MOVF        _button+0, 0 
	XORLW       5
	BTFSC       STATUS+0, 2 
	GOTO        L_main9
	MOVF        _button+0, 0 
	XORLW       6
	BTFSC       STATUS+0, 2 
	GOTO        L_main10
	MOVF        _button+0, 0 
	XORLW       8
	BTFSC       STATUS+0, 2 
	GOTO        L_main11
	MOVF        _button+0, 0 
	XORLW       9
	BTFSC       STATUS+0, 2 
	GOTO        L_main12
	MOVF        _button+0, 0 
	XORLW       10
	BTFSC       STATUS+0, 2 
	GOTO        L_main13
	GOTO        L_main14
L_main7:
;IRnec.c,106 :: 		}
L_main5:
;IRnec.c,107 :: 		Delay_ms(500);                                 // limit toggling speed
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_main15:
	DECFSZ      R13, 1, 1
	BRA         L_main15
	DECFSZ      R12, 1, 1
	BRA         L_main15
	DECFSZ      R11, 1, 1
	BRA         L_main15
	NOP
;IRnec.c,108 :: 		}
	GOTO        L_main1
;IRnec.c,110 :: 		}
L_end_main:
	GOTO        $+0
; end of _main

_hexout:

;IRnec.c,114 :: 		void hexout(unsigned char hexval){
;IRnec.c,118 :: 		temp_hex = hexval;                                 // to integer
	MOVF        FARG_hexout_hexval+0, 0 
	MOVWF       hexout_temp_hex_L0+0 
	MOVLW       0
	MOVWF       hexout_temp_hex_L0+1 
;IRnec.c,119 :: 		IntToHex(temp_hex, hextxt);                        // integer to ASCII hex
	MOVF        hexout_temp_hex_L0+0, 0 
	MOVWF       FARG_IntToHex_input+0 
	MOVF        hexout_temp_hex_L0+1, 0 
	MOVWF       FARG_IntToHex_input+1 
	MOVLW       hexout_hextxt_L0+0
	MOVWF       FARG_IntToHex_output+0 
	MOVLW       hi_addr(hexout_hextxt_L0+0)
	MOVWF       FARG_IntToHex_output+1 
	CALL        _IntToHex+0, 0
;IRnec.c,120 :: 		keephex[0] = hextxt[2];                            // store ascii hex for later
	MOVF        hexout_hextxt_L0+2, 0 
	MOVWF       _keephex+0 
;IRnec.c,121 :: 		keephex[1] = hextxt[3];
	MOVF        hexout_hextxt_L0+3, 0 
	MOVWF       _keephex+1 
;IRnec.c,122 :: 		keephex[2] = 0;                                    // null terminate
	CLRF        _keephex+2 
;IRnec.c,123 :: 		}
L_end_hexout:
	RETURN      0
; end of _hexout

_nec_read:

;IRnec.c,137 :: 		void nec_read(void){
;IRnec.c,141 :: 		Lcd_Out(1,1, "NEC protocol IR ");                                   // Print text to Lcd, 1st row, 1st column
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr2_IRnec+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr2_IRnec+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;IRnec.c,143 :: 		while(ir_in);                                                   // wait for IR to go low
L_nec_read18:
	BTFSS       RA2_bit+0, BitPos(RA2_bit+0) 
	GOTO        L_nec_read19
	GOTO        L_nec_read18
L_nec_read19:
;IRnec.c,145 :: 		LATB = 1;
	MOVLW       1
	MOVWF       LATB+0 
;IRnec.c,146 :: 		temp_nec = get_mark();
	CALL        _get_mark+0, 0
	MOVF        R0, 0 
	MOVWF       nec_read_temp_nec_L0+0 
	MOVF        R1, 0 
	MOVWF       nec_read_temp_nec_L0+1 
;IRnec.c,147 :: 		if ((temp_nec > 4000) && (temp_nec < 5000)){                      // expect 9mS mark
	MOVF        R1, 0 
	SUBLW       15
	BTFSS       STATUS+0, 2 
	GOTO        L__nec_read47
	MOVF        R0, 0 
	SUBLW       160
L__nec_read47:
	BTFSC       STATUS+0, 0 
	GOTO        L_nec_read22
	MOVLW       19
	SUBWF       nec_read_temp_nec_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__nec_read48
	MOVLW       136
	SUBWF       nec_read_temp_nec_L0+0, 0 
L__nec_read48:
	BTFSC       STATUS+0, 0 
	GOTO        L_nec_read22
L__nec_read43:
;IRnec.c,148 :: 		LATB = 2;
	MOVLW       2
	MOVWF       LATB+0 
;IRnec.c,149 :: 		temp_nec = get_space();
	CALL        _get_space+0, 0
	MOVF        R0, 0 
	MOVWF       nec_read_temp_nec_L0+0 
	MOVF        R1, 0 
	MOVWF       nec_read_temp_nec_L0+1 
;IRnec.c,150 :: 		if ((temp_nec > 2000) && (temp_nec < 2500)){                  // expect 4.5mS space
	MOVF        R1, 0 
	SUBLW       7
	BTFSS       STATUS+0, 2 
	GOTO        L__nec_read49
	MOVF        R0, 0 
	SUBLW       208
L__nec_read49:
	BTFSC       STATUS+0, 0 
	GOTO        L_nec_read25
	MOVLW       9
	SUBWF       nec_read_temp_nec_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__nec_read50
	MOVLW       196
	SUBWF       nec_read_temp_nec_L0+0, 0 
L__nec_read50:
	BTFSC       STATUS+0, 0 
	GOTO        L_nec_read25
L__nec_read42:
;IRnec.c,151 :: 		for(count_byte = 0 ; count_byte < 4 ; count_byte++ ){
	CLRF        nec_read_count_byte_L0+0 
L_nec_read26:
	MOVLW       4
	SUBWF       nec_read_count_byte_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_nec_read27
;IRnec.c,152 :: 		ir_result[count_byte] = get_nec_byte();
	MOVLW       _ir_result+0
	MOVWF       FLOC__nec_read+0 
	MOVLW       hi_addr(_ir_result+0)
	MOVWF       FLOC__nec_read+1 
	MOVF        nec_read_count_byte_L0+0, 0 
	ADDWF       FLOC__nec_read+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FLOC__nec_read+1, 1 
	CALL        _get_nec_byte+0, 0
	MOVFF       FLOC__nec_read+0, FSR1L+0
	MOVFF       FLOC__nec_read+1, FSR1H+0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;IRnec.c,151 :: 		for(count_byte = 0 ; count_byte < 4 ; count_byte++ ){
	INCF        nec_read_count_byte_L0+0, 1 
;IRnec.c,153 :: 		}
	GOTO        L_nec_read26
L_nec_read27:
;IRnec.c,154 :: 		}
L_nec_read25:
;IRnec.c,155 :: 		Lcd_Out(2,1, "NEC            ");                            // Print text to Lcd, 2nd row, 1st column
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr3_IRnec+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr3_IRnec+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;IRnec.c,156 :: 		for(count_byte = 0 ; count_byte < 4 ; count_byte++){
	CLRF        nec_read_count_byte_L0+0 
L_nec_read29:
	MOVLW       4
	SUBWF       nec_read_count_byte_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_nec_read30
;IRnec.c,157 :: 		hexout(ir_result[count_byte]);
	MOVLW       _ir_result+0
	MOVWF       FSR0L+0 
	MOVLW       hi_addr(_ir_result+0)
	MOVWF       FSR0L+1 
	MOVF        nec_read_count_byte_L0+0, 0 
	ADDWF       FSR0L+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0L+1, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_hexout_hexval+0 
	CALL        _hexout+0, 0
;IRnec.c,158 :: 		Lcd_Chr(2,(count_byte * 3)+5,keephex[0]);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       3
	MULWF       nec_read_count_byte_L0+0 
	MOVF        PRODL+0, 0 
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       5
	ADDWF       FARG_Lcd_Chr_column+0, 1 
	MOVF        _keephex+0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;IRnec.c,159 :: 		Lcd_Chr(2,(count_byte * 3)+6,keephex[1]);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       3
	MULWF       nec_read_count_byte_L0+0 
	MOVF        PRODL+0, 0 
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       6
	ADDWF       FARG_Lcd_Chr_column+0, 1 
	MOVF        _keephex+1, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;IRnec.c,156 :: 		for(count_byte = 0 ; count_byte < 4 ; count_byte++){
	INCF        nec_read_count_byte_L0+0, 1 
;IRnec.c,160 :: 		}
	GOTO        L_nec_read29
L_nec_read30:
;IRnec.c,161 :: 		Delay_ms(10);                                               // wait for repeat messages to clear
	MOVLW       104
	MOVWF       R12, 0
	MOVLW       228
	MOVWF       R13, 0
L_nec_read32:
	DECFSZ      R13, 1, 1
	BRA         L_nec_read32
	DECFSZ      R12, 1, 1
	BRA         L_nec_read32
	NOP
;IRnec.c,162 :: 		}
L_nec_read22:
;IRnec.c,163 :: 		}
L_end_nec_read:
	RETURN      0
; end of _nec_read

_get_nec_byte:

;IRnec.c,166 :: 		unsigned char get_nec_byte(void){
;IRnec.c,171 :: 		for(n=0 ; n<8 ; n++){
	CLRF        get_nec_byte_n_L0+0 
L_get_nec_byte33:
	MOVLW       8
	SUBWF       get_nec_byte_n_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_get_nec_byte34
;IRnec.c,172 :: 		temp_ir = get_mark();                         // expect ~600uS
	CALL        _get_mark+0, 0
;IRnec.c,173 :: 		temp_ir = get_space();                        // 500uS = 0, 1.6uS = 1
	CALL        _get_space+0, 0
;IRnec.c,174 :: 		ir_byte >>= 1;                                // shift in a zero
	RRCF        get_nec_byte_ir_byte_L0+0, 1 
	BCF         get_nec_byte_ir_byte_L0+0, 7 
;IRnec.c,175 :: 		if (temp_ir > 350){                           // check > 700uS
	MOVF        R1, 0 
	SUBLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__get_nec_byte52
	MOVF        R0, 0 
	SUBLW       94
L__get_nec_byte52:
	BTFSC       STATUS+0, 0 
	GOTO        L_get_nec_byte36
;IRnec.c,176 :: 		ir_byte += 0x80;                          // change 0 to a 1 if so
	MOVLW       128
	ADDWF       get_nec_byte_ir_byte_L0+0, 1 
;IRnec.c,177 :: 		}
L_get_nec_byte36:
;IRnec.c,171 :: 		for(n=0 ; n<8 ; n++){
	INCF        get_nec_byte_n_L0+0, 1 
;IRnec.c,178 :: 		}
	GOTO        L_get_nec_byte33
L_get_nec_byte34:
;IRnec.c,179 :: 		return ir_byte;                                   // return final byte
	MOVF        get_nec_byte_ir_byte_L0+0, 0 
	MOVWF       R0 
;IRnec.c,180 :: 		}
L_end_get_nec_byte:
	RETURN      0
; end of _get_nec_byte

_get_mark:

;IRnec.c,183 :: 		unsigned int get_mark(void){
;IRnec.c,184 :: 		TMR0H = 0;
	CLRF        TMR0H+0 
;IRnec.c,185 :: 		TMR0L = 0;
	CLRF        TMR0L+0 
;IRnec.c,186 :: 		while(!ir_in);                                // wait for IR to go high
L_get_mark37:
	BTFSC       RA2_bit+0, BitPos(RA2_bit+0) 
	GOTO        L_get_mark38
	GOTO        L_get_mark37
L_get_mark38:
;IRnec.c,187 :: 		LATE.F0 = 0;                                  // LED off
	BCF         LATE+0, 0 
;IRnec.c,188 :: 		retint = TMR0L;
	MOVF        TMR0L+0, 0 
	MOVWF       _retint+0 
	MOVLW       0
	MOVWF       _retint+1 
;IRnec.c,189 :: 		retint += (TMR0H<<8);
	MOVF        TMR0H+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        _retint+0, 0 
	ADDWF       R0, 1 
	MOVF        _retint+1, 0 
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	MOVWF       _retint+0 
	MOVF        R1, 0 
	MOVWF       _retint+1 
;IRnec.c,190 :: 		return retint;
;IRnec.c,191 :: 		}
L_end_get_mark:
	RETURN      0
; end of _get_mark

_get_space:

;IRnec.c,194 :: 		unsigned int get_space(void){
;IRnec.c,195 :: 		TMR0H = 0;
	CLRF        TMR0H+0 
;IRnec.c,196 :: 		TMR0L = 0;
	CLRF        TMR0L+0 
;IRnec.c,197 :: 		while(ir_in);                                 // wait for IR to go low
L_get_space39:
	BTFSS       RA2_bit+0, BitPos(RA2_bit+0) 
	GOTO        L_get_space40
	GOTO        L_get_space39
L_get_space40:
;IRnec.c,198 :: 		LATE.F0 = 1;                                  // LED on
	BSF         LATE+0, 0 
;IRnec.c,199 :: 		retint = TMR0L;
	MOVF        TMR0L+0, 0 
	MOVWF       _retint+0 
	MOVLW       0
	MOVWF       _retint+1 
;IRnec.c,200 :: 		retint += (TMR0H<<8);
	MOVF        TMR0H+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        _retint+0, 0 
	ADDWF       R0, 1 
	MOVF        _retint+1, 0 
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	MOVWF       _retint+0 
	MOVF        R1, 0 
	MOVWF       _retint+1 
;IRnec.c,201 :: 		return retint;
;IRnec.c,202 :: 		}
L_end_get_space:
	RETURN      0
; end of _get_space
