
_main:

;UART.c,19 :: 		void main() {
;UART.c,20 :: 		ANSELB = 0;                                              // Configure PORTB pins as digital
	CLRF        ANSELB+0 
;UART.c,21 :: 		ANSELC = 0;                                              // Configure PORTC pins as digital
	CLRF        ANSELC+0 
;UART.c,22 :: 		ANSELD = 0;                                              // Configure PORTD pins as digital else UART2 will not work
	CLRF        ANSELD+0 
;UART.c,23 :: 		TRISB = 0;
	CLRF        TRISB+0 
;UART.c,25 :: 		UART1_Init(115200);                                      // Initialize UART1 for terminal display - at least 3x MIDI speed
	BSF         BAUDCON+0, 3, 0
	CLRF        SPBRGH+0 
	MOVLW       68
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;UART.c,26 :: 		UART2_Init(31250);                                       // init UART2 for MIDI - 32us per bit
	BSF         BAUDCON2+0, 3, 0
	CLRF        SPBRGH2+0 
	MOVLW       255
	MOVWF       SPBRG2+0 
	BSF         TXSTA2+0, 2, 0
	CALL        _UART2_Init+0, 0
;UART.c,27 :: 		Delay_ms(100);                                           // Wait for UART modules to stabilize
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main0:
	DECFSZ      R13, 1, 1
	BRA         L_main0
	DECFSZ      R12, 1, 1
	BRA         L_main0
	DECFSZ      R11, 1, 1
	BRA         L_main0
;UART.c,29 :: 		UART1_Write_Text("\r\nMIDI receive\r\n");
	MOVLW       ?lstr1_UART+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr1_UART+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;UART.c,31 :: 		UART2_Write(0xc0 + channel);                             // program change
	MOVF        _channel+0, 0 
	ADDLW       192
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;UART.c,33 :: 		UART2_Write(56);                                         // flute
	MOVLW       56
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;UART.c,35 :: 		Delay_ms(100);                                           // Wait for MIDI device to stabilise
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main1:
	DECFSZ      R13, 1, 1
	BRA         L_main1
	DECFSZ      R12, 1, 1
	BRA         L_main1
	DECFSZ      R11, 1, 1
	BRA         L_main1
;UART.c,37 :: 		while(1){
L_main2:
;UART.c,38 :: 		if(UART2_Data_Ready()){                              // wait for MIDI byte
	CALL        _UART2_Data_Ready+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main4
;UART.c,39 :: 		midi_byte = UART2_Read();
	CALL        _UART2_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _midi_byte+0 
;UART.c,40 :: 		ByteToHex(midi_byte, txt_conv);
	MOVF        R0, 0 
	MOVWF       FARG_ByteToHex_input+0 
	MOVLW       _txt_conv+0
	MOVWF       FARG_ByteToHex_output+0 
	MOVLW       hi_addr(_txt_conv+0)
	MOVWF       FARG_ByteToHex_output+1 
	CALL        _ByteToHex+0, 0
;UART.c,41 :: 		if(midi_byte > 127){                             // status byte
	MOVF        _midi_byte+0, 0 
	SUBLW       127
	BTFSC       STATUS+0, 0 
	GOTO        L_main5
;UART.c,42 :: 		UART1_Write_Text("\r\n");
	MOVLW       ?lstr2_UART+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr2_UART+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;UART.c,43 :: 		UART1_Write_Text(txt_conv);
	MOVLW       _txt_conv+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(_txt_conv+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;UART.c,44 :: 		}
	GOTO        L_main6
L_main5:
;UART.c,46 :: 		UART1_Write_Text(" ");
	MOVLW       ?lstr3_UART+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr3_UART+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;UART.c,47 :: 		UART1_Write_Text(txt_conv);
	MOVLW       _txt_conv+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(_txt_conv+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;UART.c,48 :: 		}
L_main6:
;UART.c,49 :: 		}
L_main4:
;UART.c,50 :: 		}
	GOTO        L_main2
;UART.c,51 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
