
_main:

;UART.c,17 :: 		void main() {
;UART.c,18 :: 		ANSELB = 0;                     // Configure PORTC pins as digital
	CLRF        ANSELB+0 
;UART.c,19 :: 		TRISB = 0;
	CLRF        TRISB+0 
;UART.c,21 :: 		UART1_Init(9600);               // Initialize UART module at 9600 bps
	BSF         BAUDCON+0, 3, 0
	MOVLW       3
	MOVWF       SPBRGH+0 
	MOVLW       64
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;UART.c,22 :: 		UART2_Init(31250);
	BSF         BAUDCON2+0, 3, 0
	CLRF        SPBRGH2+0 
	MOVLW       255
	MOVWF       SPBRG2+0 
	BSF         TXSTA2+0, 2, 0
	CALL        _UART2_Init+0, 0
;UART.c,23 :: 		Delay_ms(100);                  // Wait for UART module to stabilize
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main0:
	DECFSZ      R13, 1, 1
	BRA         L_main0
	DECFSZ      R12, 1, 1
	BRA         L_main0
	DECFSZ      R11, 1, 1
	BRA         L_main0
;UART.c,25 :: 		UART1_Write_Text("\r\nStart\r\n");
	MOVLW       ?lstr1_UART+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr1_UART+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;UART.c,27 :: 		UART2_Write(0xc0 + channel);                    // program change
	MOVF        _channel+0, 0 
	ADDLW       192
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;UART.c,29 :: 		UART2_Write(56);                                // flute
	MOVLW       56
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;UART.c,31 :: 		while(1){
L_main1:
;UART.c,32 :: 		channel = 0;
	CLRF        _channel+0 
;UART.c,33 :: 		for(key = 36; key < 97; key++){
	MOVLW       36
	MOVWF       _key+0 
L_main3:
	MOVLW       97
	SUBWF       _key+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_main4
;UART.c,34 :: 		UART2_Write(0x90 + channel);                    // note on
	MOVF        _channel+0, 0 
	ADDLW       144
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;UART.c,35 :: 		UART2_Write(key);
	MOVF        _key+0, 0 
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;UART.c,36 :: 		UART2_Write(0x0f);                              // piano volume
	MOVLW       15
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;UART.c,37 :: 		Delay_ms(300);
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_main6:
	DECFSZ      R13, 1, 1
	BRA         L_main6
	DECFSZ      R12, 1, 1
	BRA         L_main6
	DECFSZ      R11, 1, 1
	BRA         L_main6
	NOP
	NOP
;UART.c,38 :: 		UART2_Write(0x80 + channel);                    // note off
	MOVF        _channel+0, 0 
	ADDLW       128
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;UART.c,39 :: 		UART2_Write(key);
	MOVF        _key+0, 0 
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;UART.c,40 :: 		UART2_Write(0x0f);
	MOVLW       15
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;UART.c,33 :: 		for(key = 36; key < 97; key++){
	INCF        _key+0, 1 
;UART.c,41 :: 		}
	GOTO        L_main3
L_main4:
;UART.c,42 :: 		channel = 9;
	MOVLW       9
	MOVWF       _channel+0 
;UART.c,43 :: 		for(key = 36; key < 60; key++){
	MOVLW       36
	MOVWF       _key+0 
L_main7:
	MOVLW       60
	SUBWF       _key+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_main8
;UART.c,44 :: 		UART2_Write(0x90 + channel);                    // note on
	MOVF        _channel+0, 0 
	ADDLW       144
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;UART.c,45 :: 		UART2_Write(key);
	MOVF        _key+0, 0 
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;UART.c,46 :: 		UART2_Write(0x2f);                              // drums volume
	MOVLW       47
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;UART.c,47 :: 		Delay_ms(500);
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_main10:
	DECFSZ      R13, 1, 1
	BRA         L_main10
	DECFSZ      R12, 1, 1
	BRA         L_main10
	DECFSZ      R11, 1, 1
	BRA         L_main10
	NOP
;UART.c,48 :: 		UART2_Write(0x80 + channel);                    // note off
	MOVF        _channel+0, 0 
	ADDLW       128
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;UART.c,49 :: 		UART2_Write(key);
	MOVF        _key+0, 0 
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;UART.c,50 :: 		UART2_Write(0x7f);
	MOVLW       127
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;UART.c,43 :: 		for(key = 36; key < 60; key++){
	INCF        _key+0, 1 
;UART.c,51 :: 		}
	GOTO        L_main7
L_main8:
;UART.c,52 :: 		}
	GOTO        L_main1
;UART.c,53 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
