#line 1 "C:/PIC/MikroC/PIC18/PIC18F47K42/click/EEPROMclick/EEPROM_24AA01.c"




void EEPROM_24AA01_Init() {
 I2C1_Init(100000);
}


void EEPROM_24AA01_WrSingle(unsigned short wAddr, unsigned short wData) {
 I2C1_Start();
 I2C1_Wr(0xA2);
 I2C1_Wr(wAddr);
 I2C1_Wr(wData);
 I2C1_Stop();
}


unsigned short EEPROM_24AA01_RdSingle(unsigned short rAddr) {
 unsigned short reslt;

 I2C1_Start();
 I2C1_Wr(0xA2);
 I2C1_Wr(rAddr);
 I2C1_Repeated_Start();
 I2C1_Wr(0xA3);
 reslt = I2C1_Rd(0u);
 while (!I2C1_Is_Idle())
 asm nop;
 I2C1_Stop();
 return reslt;
}


void EEPROM_24AA01_RdSeq(unsigned short rAddr,
 unsigned char *rdData,
 unsigned short rLen) {
 unsigned short i;
 I2C1_Start();
 I2C1_Wr(0xA2);
 I2C1_Wr(rAddr);
 I2C1_Repeated_Start();
 I2C1_Wr(0xA3);
 i = 0;
 while (i < rLen) {
 rdData[i] = I2C1_Rd(1u);
 Delay_ms(20);
 i++ ;
 }
 rdData[i] = I2C1_Rd(0u);
 I2C1_Stop();
}
