
_EEPROM_24C02_WrSingle:

;EEPROMclick.c,27 :: 		void EEPROM_24C02_WrSingle(unsigned short wAddr, unsigned short wData) {
;EEPROMclick.c,28 :: 		data_[0] = wAddr;
	MOVF        FARG_EEPROM_24C02_WrSingle_wAddr+0, 0 
	MOVWF       _data_+0 
;EEPROMclick.c,29 :: 		data_[1] = wData;
	MOVF        FARG_EEPROM_24C02_WrSingle_wData+0, 0 
	MOVWF       _data_+1 
;EEPROMclick.c,30 :: 		I2C2_Remappable_Wr(0x50,data_,2,_I2C_END_MODE_STOP);
	MOVLW       80
	MOVWF       FARG_I2C2_Remappable_Wr_slave_address+0 
	MOVLW       _data_+0
	MOVWF       FARG_I2C2_Remappable_Wr_ptrdata+0 
	MOVLW       hi_addr(_data_+0)
	MOVWF       FARG_I2C2_Remappable_Wr_ptrdata+1 
	MOVLW       2
	MOVWF       FARG_I2C2_Remappable_Wr_count+0 
	CLRF        FARG_I2C2_Remappable_Wr_END_mode+0 
	CALL        _I2C2_Remappable_Wr+0, 0
;EEPROMclick.c,31 :: 		}//~
L_end_EEPROM_24C02_WrSingle:
	RETURN      0
; end of _EEPROM_24C02_WrSingle

_EEPROM_24C02_RdSingle:

;EEPROMclick.c,34 :: 		unsigned short EEPROM_24C02_RdSingle(unsigned short rAddr) {
;EEPROMclick.c,35 :: 		data_[0] = rAddr;
	MOVF        FARG_EEPROM_24C02_RdSingle_rAddr+0, 0 
	MOVWF       _data_+0 
;EEPROMclick.c,36 :: 		I2C2_Remappable_Wr(0x50,data_,1,_I2C_END_MODE_RESTART);
	MOVLW       80
	MOVWF       FARG_I2C2_Remappable_Wr_slave_address+0 
	MOVLW       _data_+0
	MOVWF       FARG_I2C2_Remappable_Wr_ptrdata+0 
	MOVLW       hi_addr(_data_+0)
	MOVWF       FARG_I2C2_Remappable_Wr_ptrdata+1 
	MOVLW       1
	MOVWF       FARG_I2C2_Remappable_Wr_count+0 
	MOVLW       1
	MOVWF       FARG_I2C2_Remappable_Wr_END_mode+0 
	CALL        _I2C2_Remappable_Wr+0, 0
;EEPROMclick.c,37 :: 		I2C2_Remappable_Rd(0x50,data_,1,_I2C_END_MODE_STOP);
	MOVLW       80
	MOVWF       FARG_I2C2_Remappable_Rd_slave_address+0 
	MOVLW       _data_+0
	MOVWF       FARG_I2C2_Remappable_Rd_ptrdata+0 
	MOVLW       hi_addr(_data_+0)
	MOVWF       FARG_I2C2_Remappable_Rd_ptrdata+1 
	MOVLW       1
	MOVWF       FARG_I2C2_Remappable_Rd_count+0 
	CLRF        FARG_I2C2_Remappable_Rd_END_mode+0 
	CALL        _I2C2_Remappable_Rd+0, 0
;EEPROMclick.c,39 :: 		return data_[0];
	MOVF        _data_+0, 0 
	MOVWF       R0 
;EEPROMclick.c,40 :: 		}
L_end_EEPROM_24C02_RdSingle:
	RETURN      0
; end of _EEPROM_24C02_RdSingle

_main:

;EEPROMclick.c,42 :: 		void main(){
;EEPROMclick.c,45 :: 		ANSELA = 0;
	CLRF        ANSELA+0 
;EEPROMclick.c,46 :: 		ANSELC = 0;
	CLRF        ANSELC+0 
;EEPROMclick.c,47 :: 		ANSELD = 0;
	CLRF        ANSELD+0 
;EEPROMclick.c,49 :: 		TRISC.B2 = 0;
	BCF         TRISC+0, 2 
;EEPROMclick.c,50 :: 		TRISA.B0 = 0;
	BCF         TRISA+0, 0 
;EEPROMclick.c,51 :: 		TRISA.B1 = 0;
	BCF         TRISA+0, 1 
;EEPROMclick.c,53 :: 		LATC.B2 = 0;
	BCF         LATC+0, 2 
;EEPROMclick.c,55 :: 		PPS_Mapping(_RC3, _INPUT, _SCL2_in);
	MOVLW       19
	MOVWF       FARG_PPS_Mapping_rp_num+0 
	MOVLW       1
	MOVWF       FARG_PPS_Mapping_input_output+0 
	MOVLW       35
	MOVWF       FARG_PPS_Mapping_funct_name+0 
	CALL        _PPS_Mapping+0, 0
;EEPROMclick.c,56 :: 		PPS_Mapping(_RC4, _INPUT, _SDA2_in);
	MOVLW       20
	MOVWF       FARG_PPS_Mapping_rp_num+0 
	MOVLW       1
	MOVWF       FARG_PPS_Mapping_input_output+0 
	MOVLW       36
	MOVWF       FARG_PPS_Mapping_funct_name+0 
	CALL        _PPS_Mapping+0, 0
;EEPROMclick.c,58 :: 		PPS_Mapping(_RC4, _OUTPUT, _SCL2_out);
	MOVLW       20
	MOVWF       FARG_PPS_Mapping_rp_num+0 
	CLRF        FARG_PPS_Mapping_input_output+0 
	MOVLW       35
	MOVWF       FARG_PPS_Mapping_funct_name+0 
	CALL        _PPS_Mapping+0, 0
;EEPROMclick.c,59 :: 		PPS_Mapping(_RC4, _OUTPUT, _SDA2_out);
	MOVLW       20
	MOVWF       FARG_PPS_Mapping_rp_num+0 
	CLRF        FARG_PPS_Mapping_input_output+0 
	MOVLW       36
	MOVWF       FARG_PPS_Mapping_funct_name+0 
	CALL        _PPS_Mapping+0, 0
;EEPROMclick.c,61 :: 		ODCOND.B0 = 1;
	BSF         ODCOND+0, 0 
;EEPROMclick.c,62 :: 		ODCOND.B1 = 1;
	BSF         ODCOND+0, 1 
;EEPROMclick.c,64 :: 		I2C2_Remappable_Init();
	CALL        _I2C2_Remappable_Init+0, 0
;EEPROMclick.c,66 :: 		Delay_ms( 100 );
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main0:
	DECFSZ      R13, 1, 1
	BRA         L_main0
	DECFSZ      R12, 1, 1
	BRA         L_main0
	DECFSZ      R11, 1, 1
	BRA         L_main0
;EEPROMclick.c,67 :: 		memset(someData, 0x00, sizeof(someData));
	MOVLW       _someData+0
	MOVWF       FARG_memset_p1+0 
	MOVLW       hi_addr(_someData+0)
	MOVWF       FARG_memset_p1+1 
	CLRF        FARG_memset_character+0 
	MOVLW       150
	MOVWF       FARG_memset_n+0 
	MOVLW       0
	MOVWF       FARG_memset_n+1 
	CALL        _memset+0, 0
;EEPROMclick.c,68 :: 		memset(rData, 0x01, sizeof(someData)); // something not zero
	MOVLW       _rData+0
	MOVWF       FARG_memset_p1+0 
	MOVLW       hi_addr(_rData+0)
	MOVWF       FARG_memset_p1+1 
	MOVLW       1
	MOVWF       FARG_memset_character+0 
	MOVLW       150
	MOVWF       FARG_memset_n+0 
	MOVLW       0
	MOVWF       FARG_memset_n+1 
	CALL        _memset+0, 0
;EEPROMclick.c,70 :: 		LATA.B0 = 0;
	BCF         LATA+0, 0 
;EEPROMclick.c,71 :: 		LATA.B1 = 0;
	BCF         LATA+0, 1 
;EEPROMclick.c,73 :: 		for(i = 0; i < ARRAY_LENGTH; i++) {
	CLRF        main_i_L0+0 
L_main1:
	MOVLW       150
	SUBWF       main_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_main2
;EEPROMclick.c,74 :: 		EEPROM_24C02_WrSingle(i,0x00);
	MOVF        main_i_L0+0, 0 
	MOVWF       FARG_EEPROM_24C02_WrSingle_wAddr+0 
	CLRF        FARG_EEPROM_24C02_WrSingle_wData+0 
	CALL        _EEPROM_24C02_WrSingle+0, 0
;EEPROMclick.c,75 :: 		delay_ms(5);
	MOVLW       52
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main4:
	DECFSZ      R13, 1, 1
	BRA         L_main4
	DECFSZ      R12, 1, 1
	BRA         L_main4
	NOP
	NOP
;EEPROMclick.c,73 :: 		for(i = 0; i < ARRAY_LENGTH; i++) {
	INCF        main_i_L0+0, 1 
;EEPROMclick.c,76 :: 		}
	GOTO        L_main1
L_main2:
;EEPROMclick.c,78 :: 		for(i = 0x00; i < sizeof(someData); i++){
	CLRF        main_i_L0+0 
L_main5:
	MOVLW       150
	SUBWF       main_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_main6
;EEPROMclick.c,79 :: 		rData[i] = EEPROM_24C02_RdSingle(i);
	MOVLW       _rData+0
	MOVWF       FLOC__main+0 
	MOVLW       hi_addr(_rData+0)
	MOVWF       FLOC__main+1 
	MOVF        main_i_L0+0, 0 
	ADDWF       FLOC__main+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FLOC__main+1, 1 
	MOVF        main_i_L0+0, 0 
	MOVWF       FARG_EEPROM_24C02_RdSingle_rAddr+0 
	CALL        _EEPROM_24C02_RdSingle+0, 0
	MOVFF       FLOC__main+0, FSR1L+0
	MOVFF       FLOC__main+1, FSR1H+0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;EEPROMclick.c,80 :: 		delay_ms(5);
	MOVLW       52
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main8:
	DECFSZ      R13, 1, 1
	BRA         L_main8
	DECFSZ      R12, 1, 1
	BRA         L_main8
	NOP
	NOP
;EEPROMclick.c,78 :: 		for(i = 0x00; i < sizeof(someData); i++){
	INCF        main_i_L0+0, 1 
;EEPROMclick.c,81 :: 		}
	GOTO        L_main5
L_main6:
;EEPROMclick.c,83 :: 		if (!memcmp(someData , rData, sizeof(someData))){
	MOVLW       _someData+0
	MOVWF       FARG_memcmp_s1+0 
	MOVLW       hi_addr(_someData+0)
	MOVWF       FARG_memcmp_s1+1 
	MOVLW       _rData+0
	MOVWF       FARG_memcmp_s2+0 
	MOVLW       hi_addr(_rData+0)
	MOVWF       FARG_memcmp_s2+1 
	MOVLW       150
	MOVWF       FARG_memcmp_n+0 
	MOVLW       0
	MOVWF       FARG_memcmp_n+1 
	CALL        _memcmp+0, 0
	MOVF        R0, 0 
	IORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_main9
;EEPROMclick.c,84 :: 		LATA.B0 = 1;
	BSF         LATA+0, 0 
;EEPROMclick.c,85 :: 		}
L_main9:
;EEPROMclick.c,87 :: 		for(i = 0; i < sizeof(someData); i++) {
	CLRF        main_i_L0+0 
L_main10:
	MOVLW       150
	SUBWF       main_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_main11
;EEPROMclick.c,88 :: 		EEPROM_24C02_WrSingle(i,i);
	MOVF        main_i_L0+0, 0 
	MOVWF       FARG_EEPROM_24C02_WrSingle_wAddr+0 
	MOVF        main_i_L0+0, 0 
	MOVWF       FARG_EEPROM_24C02_WrSingle_wData+0 
	CALL        _EEPROM_24C02_WrSingle+0, 0
;EEPROMclick.c,89 :: 		someData[i] = i;
	MOVLW       _someData+0
	MOVWF       FSR1L+0 
	MOVLW       hi_addr(_someData+0)
	MOVWF       FSR1L+1 
	MOVF        main_i_L0+0, 0 
	ADDWF       FSR1L+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1L+1, 1 
	MOVF        main_i_L0+0, 0 
	MOVWF       POSTINC1+0 
;EEPROMclick.c,90 :: 		delay_ms(5);
	MOVLW       52
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main13:
	DECFSZ      R13, 1, 1
	BRA         L_main13
	DECFSZ      R12, 1, 1
	BRA         L_main13
	NOP
	NOP
;EEPROMclick.c,87 :: 		for(i = 0; i < sizeof(someData); i++) {
	INCF        main_i_L0+0, 1 
;EEPROMclick.c,91 :: 		}
	GOTO        L_main10
L_main11:
;EEPROMclick.c,93 :: 		for(i = 0x00; i < sizeof(someData); i++){
	CLRF        main_i_L0+0 
L_main14:
	MOVLW       150
	SUBWF       main_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_main15
;EEPROMclick.c,94 :: 		rData[i] = EEPROM_24C02_RdSingle(i);
	MOVLW       _rData+0
	MOVWF       FLOC__main+0 
	MOVLW       hi_addr(_rData+0)
	MOVWF       FLOC__main+1 
	MOVF        main_i_L0+0, 0 
	ADDWF       FLOC__main+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FLOC__main+1, 1 
	MOVF        main_i_L0+0, 0 
	MOVWF       FARG_EEPROM_24C02_RdSingle_rAddr+0 
	CALL        _EEPROM_24C02_RdSingle+0, 0
	MOVFF       FLOC__main+0, FSR1L+0
	MOVFF       FLOC__main+1, FSR1H+0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;EEPROMclick.c,95 :: 		delay_ms(5);
	MOVLW       52
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main17:
	DECFSZ      R13, 1, 1
	BRA         L_main17
	DECFSZ      R12, 1, 1
	BRA         L_main17
	NOP
	NOP
;EEPROMclick.c,93 :: 		for(i = 0x00; i < sizeof(someData); i++){
	INCF        main_i_L0+0, 1 
;EEPROMclick.c,96 :: 		}
	GOTO        L_main14
L_main15:
;EEPROMclick.c,98 :: 		if (!memcmp(someData , rData, sizeof(someData))){
	MOVLW       _someData+0
	MOVWF       FARG_memcmp_s1+0 
	MOVLW       hi_addr(_someData+0)
	MOVWF       FARG_memcmp_s1+1 
	MOVLW       _rData+0
	MOVWF       FARG_memcmp_s2+0 
	MOVLW       hi_addr(_rData+0)
	MOVWF       FARG_memcmp_s2+1 
	MOVLW       150
	MOVWF       FARG_memcmp_n+0 
	MOVLW       0
	MOVWF       FARG_memcmp_n+1 
	CALL        _memcmp+0, 0
	MOVF        R0, 0 
	IORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_main18
;EEPROMclick.c,99 :: 		LATA.B1 = 1;
	BSF         LATA+0, 1 
;EEPROMclick.c,100 :: 		}
L_main18:
;EEPROMclick.c,101 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
