#line 1 "C:/PIC/MikroC/PIC18/PIC18F47K42/click/EEPROMclick/EEPROMclick.c"
#line 19 "C:/PIC/MikroC/PIC18/PIC18F47K42/click/EEPROMclick/EEPROMclick.c"
char someData[ 150 ];
char data_[10];
char nullData[ 150 ];
char rData[ 150 ];
char i ,tmpdata;



void EEPROM_24C02_WrSingle(unsigned short wAddr, unsigned short wData) {
 data_[0] = wAddr;
 data_[1] = wData;
 I2C2_Remappable_Wr(0x50,data_,2,_I2C_END_MODE_STOP);
}


unsigned short EEPROM_24C02_RdSingle(unsigned short rAddr) {
 data_[0] = rAddr;
 I2C2_Remappable_Wr(0x50,data_,1,_I2C_END_MODE_RESTART);
 I2C2_Remappable_Rd(0x50,data_,1,_I2C_END_MODE_STOP);

 return data_[0];
}

void main(){
 unsigned short i;

 ANSELA = 0;
 ANSELC = 0;
 ANSELD = 0;

 TRISC.B2 = 0;
 TRISA.B0 = 0;
 TRISA.B1 = 0;

 LATC.B2 = 0;

 PPS_Mapping(_RC3, _INPUT, _SCL2_in);
 PPS_Mapping(_RC4, _INPUT, _SDA2_in);

 PPS_Mapping(_RC4, _OUTPUT, _SCL2_out);
 PPS_Mapping(_RC4, _OUTPUT, _SDA2_out);

 ODCOND.B0 = 1;
 ODCOND.B1 = 1;

 I2C2_Remappable_Init();

 Delay_ms( 100 );
 memset(someData, 0x00, sizeof(someData));
 memset(rData, 0x01, sizeof(someData));

 LATA.B0 = 0;
 LATA.B1 = 0;

 for(i = 0; i <  150 ; i++) {
 EEPROM_24C02_WrSingle(i,0x00);
 delay_ms(5);
 }

 for(i = 0x00; i < sizeof(someData); i++){
 rData[i] = EEPROM_24C02_RdSingle(i);
 delay_ms(5);
 }

 if (!memcmp(someData , rData, sizeof(someData))){
 LATA.B0 = 1;
 }

 for(i = 0; i < sizeof(someData); i++) {
 EEPROM_24C02_WrSingle(i,i);
 someData[i] = i;
 delay_ms(5);
 }

 for(i = 0x00; i < sizeof(someData); i++){
 rData[i] = EEPROM_24C02_RdSingle(i);
 delay_ms(5);
 }

 if (!memcmp(someData , rData, sizeof(someData))){
 LATA.B1 = 1;
 }
}
