
_interrupt:

;GNSS5.c,114 :: 		void interrupt() {                                                              // Interrupt routine
;GNSS5.c,115 :: 		if(U1RXIF_bit) {                                                            // Checks for Receive Interrupt Flag bit
	BTFSS       U1RXIF_bit+0, BitPos(U1RXIF_bit+0) 
	GOTO        L_interrupt0
;GNSS5.c,116 :: 		u1_rx_data = UART1_Read();                                              // Storing read data
	CALL        _UART1_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _u1_rx_data+0 
;GNSS5.c,117 :: 		int_rx_buf[0] = u1_rx_data;
	MOVF        R0, 0 
	MOVWF       _int_rx_buf+0 
;GNSS5.c,118 :: 		int_rx_buf[1] = 0;
	CLRF        _int_rx_buf+1 
;GNSS5.c,119 :: 		if(int_rx_buf[0] == '$'){
	MOVF        _int_rx_buf+0, 0 
	XORLW       36
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt1
;GNSS5.c,120 :: 		if( gnssbuff[buff_num][1] == 'G'){
	MOVF        _buff_num+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVLW       _gnssbuff+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_gnssbuff+0)
	ADDWFC      R1, 1 
	MOVLW       1
	ADDWF       R0, 0 
	MOVWF       FSR0L+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0L+1 
	MOVF        POSTINC0+0, 0 
	XORLW       71
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt2
;GNSS5.c,121 :: 		if( gnssbuff[buff_num][5] == 'A'){
	MOVF        _buff_num+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVLW       _gnssbuff+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_gnssbuff+0)
	ADDWFC      R1, 1 
	MOVLW       5
	ADDWF       R0, 0 
	MOVWF       FSR0L+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0L+1 
	MOVF        POSTINC0+0, 0 
	XORLW       65
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt3
;GNSS5.c,122 :: 		if(gnssbuff[buff_num][4] == 'G'){
	MOVF        _buff_num+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVLW       _gnssbuff+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_gnssbuff+0)
	ADDWFC      R1, 1 
	MOVLW       4
	ADDWF       R0, 0 
	MOVWF       FSR0L+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0L+1 
	MOVF        POSTINC0+0, 0 
	XORLW       71
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt4
;GNSS5.c,123 :: 		GNGGA_ptr = buff_num;
	MOVF        _buff_num+0, 0 
	MOVWF       _GNGGA_ptr+0 
;GNSS5.c,124 :: 		LATA2_bit ^= 1;                                         // debug
	BTG         LATA2_bit+0, BitPos(LATA2_bit+0) 
;GNSS5.c,125 :: 		GNGGA_flag = 1;
	MOVLW       1
	MOVWF       _GNGGA_flag+0 
;GNSS5.c,126 :: 		}
L_interrupt4:
;GNSS5.c,127 :: 		}
L_interrupt3:
;GNSS5.c,128 :: 		if( gnssbuff[buff_num][5] == 'C'){
	MOVF        _buff_num+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVLW       _gnssbuff+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_gnssbuff+0)
	ADDWFC      R1, 1 
	MOVLW       5
	ADDWF       R0, 0 
	MOVWF       FSR0L+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0L+1 
	MOVF        POSTINC0+0, 0 
	XORLW       67
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt5
;GNSS5.c,129 :: 		GNRMC_ptr = buff_num;
	MOVF        _buff_num+0, 0 
	MOVWF       _GNRMC_ptr+0 
;GNSS5.c,130 :: 		LATA0_bit ^= 1;                                             // debug
	BTG         LATA0_bit+0, BitPos(LATA0_bit+0) 
;GNSS5.c,131 :: 		GNRMC_flag = 1;
	MOVLW       1
	MOVWF       _GNRMC_flag+0 
;GNSS5.c,132 :: 		}
L_interrupt5:
;GNSS5.c,133 :: 		if( gnssbuff[buff_num][5] == 'G'){
	MOVF        _buff_num+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVLW       _gnssbuff+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_gnssbuff+0)
	ADDWFC      R1, 1 
	MOVLW       5
	ADDWF       R0, 0 
	MOVWF       FSR0L+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0L+1 
	MOVF        POSTINC0+0, 0 
	XORLW       71
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt6
;GNSS5.c,134 :: 		GNVTG_ptr = buff_num;
	MOVF        _buff_num+0, 0 
	MOVWF       _GNVTG_ptr+0 
;GNSS5.c,135 :: 		LATA4_bit ^= 1;                                             // debug
	BTG         LATA4_bit+0, BitPos(LATA4_bit+0) 
;GNSS5.c,136 :: 		GNVTG_flag = 1;
	MOVLW       1
	MOVWF       _GNVTG_flag+0 
;GNSS5.c,137 :: 		}
L_interrupt6:
;GNSS5.c,138 :: 		if( gnssbuff[buff_num][5] == 'L'){
	MOVF        _buff_num+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVLW       _gnssbuff+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_gnssbuff+0)
	ADDWFC      R1, 1 
	MOVLW       5
	ADDWF       R0, 0 
	MOVWF       FSR0L+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0L+1 
	MOVF        POSTINC0+0, 0 
	XORLW       76
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt7
;GNSS5.c,139 :: 		GNGLL_ptr = buff_num;
	MOVF        _buff_num+0, 0 
	MOVWF       _GNGLL_ptr+0 
;GNSS5.c,140 :: 		LATA5_bit ^= 1;                                             // debug
	BTG         LATA5_bit+0, BitPos(LATA5_bit+0) 
;GNSS5.c,141 :: 		GNGLL_flag = 1;
	MOVLW       1
	MOVWF       _GNGLL_flag+0 
;GNSS5.c,142 :: 		}
L_interrupt7:
;GNSS5.c,143 :: 		}
L_interrupt2:
;GNSS5.c,144 :: 		gnsspointer = 0;
	CLRF        _gnsspointer+0 
;GNSS5.c,145 :: 		buff_num++;
	INCF        _buff_num+0, 1 
;GNSS5.c,146 :: 		}
L_interrupt1:
;GNSS5.c,147 :: 		buff_num &= 0x0f;                                                       // stay within 16 buffer limit
	MOVLW       15
	ANDWF       _buff_num+0, 0 
	MOVWF       R3 
	MOVF        R3, 0 
	MOVWF       _buff_num+0 
;GNSS5.c,148 :: 		gnssbuff[buff_num][gnsspointer] = int_rx_buf[0];
	MOVF        R3, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVLW       _gnssbuff+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_gnssbuff+0)
	ADDWFC      R1, 1 
	MOVF        _gnsspointer+0, 0 
	ADDWF       R0, 0 
	MOVWF       FSR1L+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR1L+1 
	MOVF        _int_rx_buf+0, 0 
	MOVWF       POSTINC1+0 
;GNSS5.c,149 :: 		gnsspointer++;
	INCF        _gnsspointer+0, 1 
;GNSS5.c,150 :: 		u1_rx_flag = 1;
	MOVLW       1
	MOVWF       _u1_rx_flag+0 
;GNSS5.c,151 :: 		}
L_interrupt0:
;GNSS5.c,152 :: 		}
L_end_interrupt:
L__interrupt121:
	RETFIE      1
; end of _interrupt

_main:

;GNSS5.c,154 :: 		void main() {
;GNSS5.c,155 :: 		Lcd_Init();
	CALL        _Lcd_Init+0, 0
;GNSS5.c,156 :: 		Delay_ms(100);
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main8:
	DECFSZ      R13, 1, 1
	BRA         L_main8
	DECFSZ      R12, 1, 1
	BRA         L_main8
	DECFSZ      R11, 1, 1
	BRA         L_main8
;GNSS5.c,157 :: 		Lcd_Out(1,1,"GNSS     nSAT   ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr1_GNSS5+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr1_GNSS5+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;GNSS5.c,158 :: 		ANSELE = 0;                                                                 // Configure PORT pins as digital
	CLRF        ANSELE+0 
;GNSS5.c,159 :: 		TRISE = 0x01;                                                               // Configure E0 input, rest as output
	MOVLW       1
	MOVWF       TRISE+0 
;GNSS5.c,160 :: 		if(RE0_bit){
	BTFSS       RE0_bit+0, BitPos(RE0_bit+0) 
	GOTO        L_main9
;GNSS5.c,161 :: 		Lcd_Out(1,1,"Terminal D6 D7  ");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr2_GNSS5+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr2_GNSS5+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;GNSS5.c,162 :: 		Lcd_Out(2,1,"RE0 low for LCD ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr3_GNSS5+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr3_GNSS5+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;GNSS5.c,163 :: 		}
L_main9:
;GNSS5.c,164 :: 		rxidx  = 0;                                                                 // Initialisation of variable
	CLRF        _rxidx+0 
;GNSS5.c,165 :: 		ANSELA = 0;                                                                 // Configure PORT pins as digital
	CLRF        ANSELA+0 
;GNSS5.c,166 :: 		ANSELB = 0;                                                                 // Configure PORT pins as digital
	CLRF        ANSELB+0 
;GNSS5.c,167 :: 		ANSELC = 0;                                                                 // Configure PORT pins as digital
	CLRF        ANSELC+0 
;GNSS5.c,168 :: 		ANSELD = 0;                                                                 // Configure PORT pins as digital
	CLRF        ANSELD+0 
;GNSS5.c,169 :: 		TRISA = 0x00;
	CLRF        TRISA+0 
;GNSS5.c,170 :: 		TRISB = 0x01;                                                               // Configure PORT direction
	MOVLW       1
	MOVWF       TRISB+0 
;GNSS5.c,171 :: 		TRISC = 0x80;                                                               // RC7 input for UART, rest output
	MOVLW       128
	MOVWF       TRISC+0 
;GNSS5.c,172 :: 		TRISD = 0x80;                                                               // RD7 input for UART, rest output
	MOVLW       128
	MOVWF       TRISD+0 
;GNSS5.c,173 :: 		LATA = 0x04;                                                                // GNSS RESET# pin high
	MOVLW       4
	MOVWF       LATA+0 
;GNSS5.c,174 :: 		LATB = 0x00;                                                                // clear all to Low
	CLRF        LATB+0 
;GNSS5.c,175 :: 		LATC = 0x00;                                                                // clear all to Low
	CLRF        LATC+0 
;GNSS5.c,176 :: 		LATD = 0x00;                                                                // clear all to Low
	CLRF        LATD+0 
;GNSS5.c,177 :: 		LATE = 0x02;                                                                // GNSS 5 reset# is high
	MOVLW       2
	MOVWF       LATE+0 
;GNSS5.c,180 :: 		UART1_Init(9600);                                                           // Initialize UART 1 module for GNSS
	MOVLW       64
	MOVWF       U1BRG+0 
	MOVLW       3
	MOVWF       U1BRG+1 
	BSF         U1CON0+0, 7, 0
	CALL        _UART1_Init+0, 0
;GNSS5.c,182 :: 		if(RE0_bit){
	BTFSS       RE0_bit+0, BitPos(RE0_bit+0) 
	GOTO        L_main10
;GNSS5.c,184 :: 		UART2_Init(115200);                                                     // Initialize UART 2 module at faster rate
	MOVLW       68
	MOVWF       U2BRG+0 
	MOVLW       0
	MOVWF       U2BRG+1 
	BSF         U2CON0+0, 7, 0
	CALL        _UART2_Init+0, 0
;GNSS5.c,185 :: 		}
L_main10:
;GNSS5.c,188 :: 		Unlock_IOLOCK();
	CALL        _Unlock_IOLOCK+0, 0
;GNSS5.c,189 :: 		PPS_Mapping_NoLock(0x1f, _INPUT, _RX2);                                     // map UART2 Rx to D7 (only ports B and C are valid for U2Rx)
	MOVLW       31
	MOVWF       FARG_PPS_Mapping_NoLock_rp_num+0 
	MOVLW       1
	MOVWF       FARG_PPS_Mapping_NoLock_input_output+0 
	MOVLW       39
	MOVWF       FARG_PPS_Mapping_NoLock_funct_name+0 
	CALL        _PPS_Mapping_NoLock+0, 0
;GNSS5.c,190 :: 		PPS_Mapping_NoLock(0x1e, _OUTPUT, _TX2PPS);                                 // map UART2 Tx to D6
	MOVLW       30
	MOVWF       FARG_PPS_Mapping_NoLock_rp_num+0 
	CLRF        FARG_PPS_Mapping_NoLock_input_output+0 
	MOVLW       22
	MOVWF       FARG_PPS_Mapping_NoLock_funct_name+0 
	CALL        _PPS_Mapping_NoLock+0, 0
;GNSS5.c,191 :: 		Delay_ms(100);                                                              // settle time
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main11:
	DECFSZ      R13, 1, 1
	BRA         L_main11
	DECFSZ      R12, 1, 1
	BRA         L_main11
	DECFSZ      R11, 1, 1
	BRA         L_main11
;GNSS5.c,193 :: 		gprint_flag = 0;                                                            // no raw print to start with
	CLRF        _gprint_flag+0 
;GNSS5.c,194 :: 		t_flag = 1;                                                                 // time display by default
	MOVLW       1
	MOVWF       _t_flag+0 
;GNSS5.c,195 :: 		newcmd = '?';                                                               // default to help
	MOVLW       63
	MOVWF       _newcmd+0 
;GNSS5.c,196 :: 		cmd = newcmd;
	MOVLW       63
	MOVWF       _cmd+0 
;GNSS5.c,197 :: 		gnsspointer = 0;                                                            // initialise
	CLRF        _gnsspointer+0 
;GNSS5.c,199 :: 		UART2_Write_Text("\r\n\nGNSS Monitor 11 Sept 2019\r\n");                    // introduction text
	MOVLW       ?lstr4_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr4_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,200 :: 		UART2_Write_Text("? for help\r\n");                                         // introduction text
	MOVLW       ?lstr5_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr5_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,203 :: 		U1RXIE_bit = 1;                                                             // turn ON interrupt on UART2 receive
	BSF         U1RXIE_bit+0, BitPos(U1RXIE_bit+0) 
;GNSS5.c,204 :: 		U1RXIF_bit = 0;                                                             // Clear interrupt flag
	BCF         U1RXIF_bit+0, BitPos(U1RXIF_bit+0) 
;GNSS5.c,205 :: 		GIE_bit   = 1;                                                              // Enable GLOBAL interrupts
	BSF         GIE_bit+0, BitPos(GIE_bit+0) 
;GNSS5.c,207 :: 		GNGLL_ptr = 0xff;                                                           // pointer to buffer containing GNGLL data
	MOVLW       255
	MOVWF       _GNGLL_ptr+0 
;GNSS5.c,208 :: 		GNRMC_ptr = 0xff;                                                           // pointer to buffer containing GNRMC data
	MOVLW       255
	MOVWF       _GNRMC_ptr+0 
;GNSS5.c,209 :: 		GNVTG_ptr = 0xff;                                                           // pointer to buffer containing GNVTG data
	MOVLW       255
	MOVWF       _GNVTG_ptr+0 
;GNSS5.c,210 :: 		buff_num = 0;
	CLRF        _buff_num+0 
;GNSS5.c,212 :: 		while(1){
L_main12:
;GNSS5.c,213 :: 		linein(linebuff);                                                       // fetch a line of text
	MOVLW       _linebuff+0
	MOVWF       FARG_linein_pstring+0 
	MOVLW       hi_addr(_linebuff+0)
	MOVWF       FARG_linein_pstring+1 
	CALL        _linein+0, 0
;GNSS5.c,214 :: 		newcmd = getparams(linebuff);                                           // read hex parameters
	MOVLW       _linebuff+0
	MOVWF       FARG_getparams_tempstring+0 
	MOVLW       hi_addr(_linebuff+0)
	MOVWF       FARG_getparams_tempstring+1 
	CALL        _getparams+0, 0
	MOVF        R0, 0 
	MOVWF       _newcmd+0 
;GNSS5.c,215 :: 		switch(newcmd){                                                         // find command letter
	GOTO        L_main14
;GNSS5.c,216 :: 		case 'M':
L_main16:
;GNSS5.c,217 :: 		cmdm();
	CALL        _cmdm+0, 0
;GNSS5.c,218 :: 		break;
	GOTO        L_main15
;GNSS5.c,220 :: 		case 'O':
L_main17:
;GNSS5.c,221 :: 		cmdo();
	CALL        _cmdo+0, 0
;GNSS5.c,222 :: 		break;
	GOTO        L_main15
;GNSS5.c,224 :: 		case 'P':
L_main18:
;GNSS5.c,225 :: 		cmdp();
	CALL        _cmdp+0, 0
;GNSS5.c,226 :: 		break;
	GOTO        L_main15
;GNSS5.c,228 :: 		case 'S':
L_main19:
;GNSS5.c,229 :: 		cmds();
	CALL        _cmds+0, 0
;GNSS5.c,230 :: 		break;
	GOTO        L_main15
;GNSS5.c,232 :: 		case 'V':
L_main20:
;GNSS5.c,233 :: 		cmdv();
	CALL        _cmdv+0, 0
;GNSS5.c,234 :: 		break;
	GOTO        L_main15
;GNSS5.c,236 :: 		case '?':
L_main21:
;GNSS5.c,237 :: 		UART2_Write_Text("?        List Commands\r\n");
	MOVLW       ?lstr6_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr6_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,238 :: 		UART2_Write_Text("m        message buffer print\r\n");
	MOVLW       ?lstr7_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr7_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,239 :: 		UART2_Write_Text("o cc ..  Output hex to GNSS5\r\n");
	MOVLW       ?lstr8_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr8_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,241 :: 		UART2_Write_Text("s        sync LED indicators\r\n");
	MOVLW       ?lstr9_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr9_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,242 :: 		UART2_Write_Text("t        toggle Time display on/off\r\n");
	MOVLW       ?lstr10_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr10_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,243 :: 		UART2_Write_Text("v        toggle View raw GNSS text\r\n");
	MOVLW       ?lstr11_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr11_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,244 :: 		break;
	GOTO        L_main15
;GNSS5.c,246 :: 		default:{
L_main22:
;GNSS5.c,247 :: 		UART2_Write_Text("\r\ncommand not recognised\r\n");
	MOVLW       ?lstr12_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr12_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,248 :: 		break;
	GOTO        L_main15
;GNSS5.c,250 :: 		}
L_main14:
	MOVF        _newcmd+0, 0 
	XORLW       77
	BTFSC       STATUS+0, 2 
	GOTO        L_main16
	MOVF        _newcmd+0, 0 
	XORLW       79
	BTFSC       STATUS+0, 2 
	GOTO        L_main17
	MOVF        _newcmd+0, 0 
	XORLW       80
	BTFSC       STATUS+0, 2 
	GOTO        L_main18
	MOVF        _newcmd+0, 0 
	XORLW       83
	BTFSC       STATUS+0, 2 
	GOTO        L_main19
	MOVF        _newcmd+0, 0 
	XORLW       86
	BTFSC       STATUS+0, 2 
	GOTO        L_main20
	MOVF        _newcmd+0, 0 
	XORLW       63
	BTFSC       STATUS+0, 2 
	GOTO        L_main21
	GOTO        L_main22
L_main15:
;GNSS5.c,251 :: 		}
	GOTO        L_main12
;GNSS5.c,252 :: 		}
L_end_main:
	GOTO        $+0
; end of _main

_cmdm:

;GNSS5.c,255 :: 		void cmdm(){
;GNSS5.c,262 :: 		GNGLL_flag = 0;                                                             // clear old flag
	CLRF        _GNGLL_flag+0 
;GNSS5.c,263 :: 		while(!GNGLL_flag);                                                         // wait for GNGLL message update to happen
L_cmdm23:
	MOVF        _GNGLL_flag+0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_cmdm24
	GOTO        L_cmdm23
L_cmdm24:
;GNSS5.c,265 :: 		UART2_Write_Text("\r\nNewest buffer is 0x");
	MOVLW       ?lstr13_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr13_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,266 :: 		PrintHexSp(buff_num);                                                       // print buffer number
	MOVF        _buff_num+0, 0 
	MOVWF       FARG_PrintHexSp_i+0 
	CALL        _PrintHexSp+0, 0
;GNSS5.c,267 :: 		UART2_Write_Text("   (Oldest buffer shown first)");
	MOVLW       ?lstr14_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr14_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,268 :: 		b_num = buff_num;
	MOVF        _buff_num+0, 0 
	MOVWF       cmdm_b_num_L0+0 
;GNSS5.c,270 :: 		for(b_count = 0; b_count < 16; b_count++){                                    // 16 buffers 0x00 to 0x0f
	CLRF        cmdm_b_count_L0+0 
L_cmdm25:
	MOVLW       16
	SUBWF       cmdm_b_count_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_cmdm26
;GNSS5.c,271 :: 		b_num++;                                                                // print oldest buffer first
	INCF        cmdm_b_num_L0+0, 1 
;GNSS5.c,272 :: 		if(b_num > 15) b_num = 0;                                               // wrap-around
	MOVF        cmdm_b_num_L0+0, 0 
	SUBLW       15
	BTFSC       STATUS+0, 0 
	GOTO        L_cmdm28
	CLRF        cmdm_b_num_L0+0 
L_cmdm28:
;GNSS5.c,273 :: 		UART2_Write_Text("\r\n\nBuffer 0x");
	MOVLW       ?lstr15_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr15_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,274 :: 		PrintHexSp(b_num);                                                      // print buffer number
	MOVF        cmdm_b_num_L0+0, 0 
	MOVWF       FARG_PrintHexSp_i+0 
	CALL        _PrintHexSp+0, 0
;GNSS5.c,275 :: 		b_flag = 1;                                                             // enable printing
	MOVLW       1
	MOVWF       cmdm_b_flag_L0+0 
;GNSS5.c,276 :: 		for( b_ptr = 0; b_ptr < 255; b_ptr++){                                  // up to 255 characters
	CLRF        cmdm_b_ptr_L0+0 
L_cmdm29:
	MOVLW       255
	SUBWF       cmdm_b_ptr_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_cmdm30
;GNSS5.c,277 :: 		if(b_flag){                                                         // check that print still wanted
	MOVF        cmdm_b_flag_L0+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_cmdm32
;GNSS5.c,278 :: 		b_chc = GNSSbuff[b_num][b_ptr];
	MOVF        cmdm_b_num_L0+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVLW       _gnssbuff+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_gnssbuff+0)
	ADDWFC      R1, 1 
	MOVF        cmdm_b_ptr_L0+0, 0 
	ADDWF       R0, 0 
	MOVWF       FSR0L+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0L+1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       cmdm_b_chc_L0+0 
;GNSS5.c,279 :: 		UART2_Write(b_chc);
	MOVF        R0, 0 
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;GNSS5.c,280 :: 		if(b_chc == 0x0d){                                              // look for end of string
	MOVF        cmdm_b_chc_L0+0, 0 
	XORLW       13
	BTFSS       STATUS+0, 2 
	GOTO        L_cmdm33
;GNSS5.c,281 :: 		b_flag = 0;                                                 // and prevent rest of buffer from printing
	CLRF        cmdm_b_flag_L0+0 
;GNSS5.c,282 :: 		}
L_cmdm33:
;GNSS5.c,283 :: 		}
L_cmdm32:
;GNSS5.c,276 :: 		for( b_ptr = 0; b_ptr < 255; b_ptr++){                                  // up to 255 characters
	INCF        cmdm_b_ptr_L0+0, 1 
;GNSS5.c,284 :: 		}
	GOTO        L_cmdm29
L_cmdm30:
;GNSS5.c,270 :: 		for(b_count = 0; b_count < 16; b_count++){                                    // 16 buffers 0x00 to 0x0f
	INCF        cmdm_b_count_L0+0, 1 
;GNSS5.c,285 :: 		}
	GOTO        L_cmdm25
L_cmdm26:
;GNSS5.c,286 :: 		UART2_Write_Text("\r\n\n");
	MOVLW       ?lstr16_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr16_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,287 :: 		}
L_end_cmdm:
	RETURN      0
; end of _cmdm

_cmdo:

;GNSS5.c,291 :: 		void cmdo(){
;GNSS5.c,294 :: 		UART2_Write_Text("GNSS out ");
	MOVLW       ?lstr17_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr17_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,295 :: 		for(pc = 1; pc < nparams; pc++){                                            // count through parameters
	MOVLW       1
	MOVWF       cmdo_pc_L0+0 
L_cmdo34:
	MOVF        _nparams+0, 0 
	SUBWF       cmdo_pc_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_cmdo35
;GNSS5.c,296 :: 		UART1_Write(upar[pc]);                                                  // send byte to UART1
	MOVF        cmdo_pc_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _upar+0
	ADDWF       R0, 0 
	MOVWF       FSR0L+0 
	MOVLW       hi_addr(_upar+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0L+1 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;GNSS5.c,297 :: 		PrintHexSp(upar[pc]);                                                   // send hex info to consol
	MOVF        cmdo_pc_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _upar+0
	ADDWF       R0, 0 
	MOVWF       FSR0L+0 
	MOVLW       hi_addr(_upar+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0L+1 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_PrintHexSp_i+0 
	CALL        _PrintHexSp+0, 0
;GNSS5.c,295 :: 		for(pc = 1; pc < nparams; pc++){                                            // count through parameters
	INCF        cmdo_pc_L0+0, 1 
;GNSS5.c,298 :: 		}
	GOTO        L_cmdo34
L_cmdo35:
;GNSS5.c,299 :: 		UART2_Write_Text("\r\n");
	MOVLW       ?lstr18_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr18_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,300 :: 		}
L_end_cmdo:
	RETURN      0
; end of _cmdo

_cmdp:

;GNSS5.c,303 :: 		void cmdp(){
;GNSS5.c,305 :: 		PrintHex(nparams);
	MOVF        _nparams+0, 0 
	MOVWF       FARG_PrintHex_i+0 
	CALL        _PrintHex+0, 0
;GNSS5.c,306 :: 		UART2_Write_Text(" parameters\r\n");
	MOVLW       ?lstr19_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr19_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,307 :: 		Delay_ms(100);                                                              // do not know why this is needed :(
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_cmdp37:
	DECFSZ      R13, 1, 1
	BRA         L_cmdp37
	DECFSZ      R12, 1, 1
	BRA         L_cmdp37
	DECFSZ      R11, 1, 1
	BRA         L_cmdp37
;GNSS5.c,308 :: 		for( paramcount = 0 ; paramcount < 8 ; paramcount++ ){
	CLRF        cmdp_paramcount_L0+0 
L_cmdp38:
	MOVLW       8
	SUBWF       cmdp_paramcount_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_cmdp39
;GNSS5.c,309 :: 		UART2_Write_Text("parameter ");
	MOVLW       ?lstr20_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr20_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,310 :: 		PrintHexSp(paramcount);
	MOVF        cmdp_paramcount_L0+0, 0 
	MOVWF       FARG_PrintHexSp_i+0 
	CALL        _PrintHexSp+0, 0
;GNSS5.c,311 :: 		PrintHex((upar[paramcount] >> 8) & 0xff);
	MOVF        cmdp_paramcount_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _upar+0
	ADDWF       R0, 0 
	MOVWF       FSR0L+0 
	MOVLW       hi_addr(_upar+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0L+1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVF        R4, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       255
	ANDWF       R0, 0 
	MOVWF       FARG_PrintHex_i+0 
	CALL        _PrintHex+0, 0
;GNSS5.c,312 :: 		PrintHex((upar[paramcount]) & 0xff);
	MOVF        cmdp_paramcount_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _upar+0
	ADDWF       R0, 0 
	MOVWF       FSR0L+0 
	MOVLW       hi_addr(_upar+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0L+1 
	MOVLW       255
	ANDWF       POSTINC0+0, 0 
	MOVWF       FARG_PrintHex_i+0 
	CALL        _PrintHex+0, 0
;GNSS5.c,313 :: 		UART2_Write_Text("\r\n");
	MOVLW       ?lstr21_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr21_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,308 :: 		for( paramcount = 0 ; paramcount < 8 ; paramcount++ ){
	INCF        cmdp_paramcount_L0+0, 1 
;GNSS5.c,314 :: 		}
	GOTO        L_cmdp38
L_cmdp39:
;GNSS5.c,315 :: 		}
L_end_cmdp:
	RETURN      0
; end of _cmdp

_cmds:

;GNSS5.c,318 :: 		void cmds(){
;GNSS5.c,319 :: 		while(!RB0_bit);                                                            // wait for 1 second pulse at end of activity
L_cmds41:
	BTFSC       RB0_bit+0, BitPos(RB0_bit+0) 
	GOTO        L_cmds42
	GOTO        L_cmds41
L_cmds42:
;GNSS5.c,320 :: 		LATA = 0;                                                                   // clear all LEDs
	CLRF        LATA+0 
;GNSS5.c,321 :: 		}
L_end_cmds:
	RETURN      0
; end of _cmds

_cmdt:

;GNSS5.c,324 :: 		void cmdt(){
;GNSS5.c,325 :: 		t_flag ^= 1;                                                                // toggle a flag - that's it
	BTG         _t_flag+0, 0 
;GNSS5.c,326 :: 		}
L_end_cmdt:
	RETURN      0
; end of _cmdt

_cmdv:

;GNSS5.c,329 :: 		void cmdv(){
;GNSS5.c,331 :: 		gprint_flag ^= 1;                                                           // toggle a flag - that is all
	BTG         _gprint_flag+0, 0 
;GNSS5.c,332 :: 		}
L_end_cmdv:
	RETURN      0
; end of _cmdv

_PrintHex:

;GNSS5.c,335 :: 		void PrintHex(unsigned char i) {
;GNSS5.c,338 :: 		hi = i & 0xF0;                                                              // high nibble
	MOVLW       240
	ANDWF       FARG_PrintHex_i+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       PrintHex_hi_L0+0 
;GNSS5.c,339 :: 		hi = hi >> 4;
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVF        R0, 0 
	MOVWF       PrintHex_hi_L0+0 
;GNSS5.c,340 :: 		hi = hi + '0';
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       PrintHex_hi_L0+0 
;GNSS5.c,341 :: 		if (hi > '9') hi = hi + 7;
	MOVF        R1, 0 
	SUBLW       57
	BTFSC       STATUS+0, 0 
	GOTO        L_PrintHex43
	MOVLW       7
	ADDWF       PrintHex_hi_L0+0, 1 
L_PrintHex43:
;GNSS5.c,342 :: 		lo = (i & 0x0F) + '0';                                                      // low nibble
	MOVLW       15
	ANDWF       FARG_PrintHex_i+0, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       PrintHex_lo_L0+0 
;GNSS5.c,343 :: 		if (lo>'9') lo=lo+7;
	MOVF        R1, 0 
	SUBLW       57
	BTFSC       STATUS+0, 0 
	GOTO        L_PrintHex44
	MOVLW       7
	ADDWF       PrintHex_lo_L0+0, 1 
L_PrintHex44:
;GNSS5.c,345 :: 		UART2_Write(hi);
	MOVF        PrintHex_hi_L0+0, 0 
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;GNSS5.c,346 :: 		UART2_Write(lo);
	MOVF        PrintHex_lo_L0+0, 0 
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;GNSS5.c,347 :: 		}
L_end_PrintHex:
	RETURN      0
; end of _PrintHex

_PrintHexSp:

;GNSS5.c,350 :: 		void PrintHexSp(unsigned char i) {
;GNSS5.c,353 :: 		hi = i & 0xF0;                                                              // high nibble
	MOVLW       240
	ANDWF       FARG_PrintHexSp_i+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       PrintHexSp_hi_L0+0 
;GNSS5.c,354 :: 		hi = hi >> 4;
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVF        R0, 0 
	MOVWF       PrintHexSp_hi_L0+0 
;GNSS5.c,355 :: 		hi = hi + '0';
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       PrintHexSp_hi_L0+0 
;GNSS5.c,356 :: 		if (hi > '9') hi = hi + 7;
	MOVF        R1, 0 
	SUBLW       57
	BTFSC       STATUS+0, 0 
	GOTO        L_PrintHexSp45
	MOVLW       7
	ADDWF       PrintHexSp_hi_L0+0, 1 
L_PrintHexSp45:
;GNSS5.c,357 :: 		lo = (i & 0x0F) + '0';                                                      // low nibble
	MOVLW       15
	ANDWF       FARG_PrintHexSp_i+0, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       PrintHexSp_lo_L0+0 
;GNSS5.c,358 :: 		if (lo>'9') lo=lo+7;
	MOVF        R1, 0 
	SUBLW       57
	BTFSC       STATUS+0, 0 
	GOTO        L_PrintHexSp46
	MOVLW       7
	ADDWF       PrintHexSp_lo_L0+0, 1 
L_PrintHexSp46:
;GNSS5.c,360 :: 		UART2_Write(hi);
	MOVF        PrintHexSp_hi_L0+0, 0 
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;GNSS5.c,361 :: 		UART2_Write(lo);
	MOVF        PrintHexSp_lo_L0+0, 0 
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;GNSS5.c,362 :: 		UART2_Write(' ');
	MOVLW       32
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;GNSS5.c,363 :: 		}
L_end_PrintHexSp:
	RETURN      0
; end of _PrintHexSp

_getparams:

;GNSS5.c,366 :: 		char getparams(char* tempstring){
;GNSS5.c,371 :: 		unsigned int         pointer1=0;                                                // pointer within string
	CLRF        getparams_pointer1_L0+0 
	CLRF        getparams_pointer1_L0+1 
	CLRF        getparams_pointer2_L0+0 
	CLRF        getparams_pointer2_L0+1 
;GNSS5.c,374 :: 		oldcmd=cmd;                                                                 // remember old value
	MOVF        _cmd+0, 0 
	MOVWF       getparams_oldcmd_L0+0 
;GNSS5.c,375 :: 		nparams = 0;                                                                // initialise
	CLRF        _nparams+0 
;GNSS5.c,376 :: 		pointer1 = 0;                                                               // initialise
	CLRF        getparams_pointer1_L0+0 
	CLRF        getparams_pointer1_L0+1 
;GNSS5.c,378 :: 		for ( n = 0 ; n < 8 ; n++){                                                 // count 0 to 7
	CLRF        getparams_n_L0+0 
	CLRF        getparams_n_L0+1 
L_getparams47:
	MOVLW       128
	XORWF       getparams_n_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__getparams132
	MOVLW       8
	SUBWF       getparams_n_L0+0, 0 
L__getparams132:
	BTFSC       STATUS+0, 0 
	GOTO        L_getparams48
;GNSS5.c,380 :: 		tempchar=1;                                                             // init
	MOVLW       1
	MOVWF       getparams_tempchar_L0+0 
;GNSS5.c,381 :: 		do {
L_getparams50:
;GNSS5.c,382 :: 		tempchar = tempstring[pointer1++];
	MOVF        getparams_pointer1_L0+0, 0 
	ADDWF       FARG_getparams_tempstring+0, 0 
	MOVWF       FSR0L+0 
	MOVF        getparams_pointer1_L0+1, 0 
	ADDWFC      FARG_getparams_tempstring+1, 0 
	MOVWF       FSR0L+1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       getparams_tempchar_L0+0 
	INFSNZ      getparams_pointer1_L0+0, 1 
	INCF        getparams_pointer1_L0+1, 1 
;GNSS5.c,383 :: 		} while (tempchar == 0x20);
	MOVF        R1, 0 
	XORLW       32
	BTFSC       STATUS+0, 2 
	GOTO        L_getparams50
;GNSS5.c,384 :: 		pointer1--;                                                             // leave pointer after param
	MOVLW       1
	SUBWF       getparams_pointer1_L0+0, 1 
	MOVLW       0
	SUBWFB      getparams_pointer1_L0+1, 1 
;GNSS5.c,387 :: 		if ((tempchar != 0) && (nparams < 8)){
	MOVF        getparams_tempchar_L0+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_getparams55
	MOVLW       8
	SUBWF       _nparams+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_getparams55
L__getparams119:
;GNSS5.c,388 :: 		nparams++;
	INCF        _nparams+0, 1 
;GNSS5.c,389 :: 		}
L_getparams55:
;GNSS5.c,391 :: 		if (n == 0){                                                            // only for param 0
	MOVLW       0
	XORWF       getparams_n_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__getparams133
	MOVLW       0
	XORWF       getparams_n_L0+0, 0 
L__getparams133:
	BTFSS       STATUS+0, 2 
	GOTO        L_getparams56
;GNSS5.c,392 :: 		tempchar=tempstring[pointer1];                                      // get only first letter
	MOVF        getparams_pointer1_L0+0, 0 
	ADDWF       FARG_getparams_tempstring+0, 0 
	MOVWF       FSR0L+0 
	MOVF        getparams_pointer1_L0+1, 0 
	ADDWFC      FARG_getparams_tempstring+1, 0 
	MOVWF       FSR0L+1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       getparams_tempchar_L0+0 
;GNSS5.c,393 :: 		if ((tempchar > 0x60) && (tempchar < 0x7b)) {
	MOVF        R1, 0 
	SUBLW       96
	BTFSC       STATUS+0, 0 
	GOTO        L_getparams59
	MOVLW       123
	SUBWF       getparams_tempchar_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_getparams59
L__getparams118:
;GNSS5.c,394 :: 		tempchar -= 0x20;                                               // to upper case
	MOVLW       32
	SUBWF       getparams_tempchar_L0+0, 1 
;GNSS5.c,395 :: 		}
L_getparams59:
;GNSS5.c,396 :: 		cmd=tempchar;
	MOVF        getparams_tempchar_L0+0, 0 
	MOVWF       _cmd+0 
;GNSS5.c,397 :: 		}
L_getparams56:
;GNSS5.c,399 :: 		tempchar=1;                                                             // initialise
	MOVLW       1
	MOVWF       getparams_tempchar_L0+0 
;GNSS5.c,400 :: 		if (nparams != 0){                                                      // only for non-blank line
	MOVF        _nparams+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_getparams60
;GNSS5.c,402 :: 		pointer2=0;                                                         // initialise
	CLRF        getparams_pointer2_L0+0 
	CLRF        getparams_pointer2_L0+1 
;GNSS5.c,403 :: 		do {
L_getparams61:
;GNSS5.c,404 :: 		tempchar = tempstring[pointer1++];                              // get char
	MOVF        getparams_pointer1_L0+0, 0 
	ADDWF       FARG_getparams_tempstring+0, 0 
	MOVWF       FSR0L+0 
	MOVF        getparams_pointer1_L0+1, 0 
	ADDWFC      FARG_getparams_tempstring+1, 0 
	MOVWF       FSR0L+1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       getparams_tempchar_L0+0 
	INFSNZ      getparams_pointer1_L0+0, 1 
	INCF        getparams_pointer1_L0+1, 1 
;GNSS5.c,405 :: 		if ((tempchar > 0x60) && (tempchar < 0x7b)) {
	MOVF        R1, 0 
	SUBLW       96
	BTFSC       STATUS+0, 0 
	GOTO        L_getparams66
	MOVLW       123
	SUBWF       getparams_tempchar_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_getparams66
L__getparams117:
;GNSS5.c,406 :: 		tempchar -= 0x20;                                           // to upper case
	MOVLW       32
	SUBWF       getparams_tempchar_L0+0, 1 
;GNSS5.c,407 :: 		}
L_getparams66:
;GNSS5.c,408 :: 		param[n][pointer2++] = tempchar;                                // and store it
	MOVLW       20
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        getparams_n_L0+0, 0 
	MOVWF       R4 
	MOVF        getparams_n_L0+1, 0 
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVLW       _param+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_param+0)
	ADDWFC      R1, 1 
	MOVF        getparams_pointer2_L0+0, 0 
	ADDWF       R0, 0 
	MOVWF       FSR1L+0 
	MOVF        getparams_pointer2_L0+1, 0 
	ADDWFC      R1, 0 
	MOVWF       FSR1L+1 
	MOVF        getparams_tempchar_L0+0, 0 
	MOVWF       POSTINC1+0 
	INFSNZ      getparams_pointer2_L0+0, 1 
	INCF        getparams_pointer2_L0+1, 1 
;GNSS5.c,409 :: 		} while ((tempchar > 0x20) && (tempchar < 0x7f) && (pointer2 < 20)); // text
	MOVF        getparams_tempchar_L0+0, 0 
	SUBLW       32
	BTFSC       STATUS+0, 0 
	GOTO        L__getparams116
	MOVLW       127
	SUBWF       getparams_tempchar_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__getparams116
	MOVLW       0
	SUBWF       getparams_pointer2_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__getparams134
	MOVLW       20
	SUBWF       getparams_pointer2_L0+0, 0 
L__getparams134:
	BTFSC       STATUS+0, 0 
	GOTO        L__getparams116
	GOTO        L_getparams61
L__getparams116:
;GNSS5.c,410 :: 		param[n][pointer2-1]=0;                                             // zero terminate param string
	MOVLW       20
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        getparams_n_L0+0, 0 
	MOVWF       R4 
	MOVF        getparams_n_L0+1, 0 
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVLW       _param+0
	ADDWF       R0, 0 
	MOVWF       R2 
	MOVLW       hi_addr(_param+0)
	ADDWFC      R1, 0 
	MOVWF       R3 
	MOVLW       1
	SUBWF       getparams_pointer2_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	SUBWFB      getparams_pointer2_L0+1, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	ADDWF       R2, 0 
	MOVWF       FSR1L+0 
	MOVF        R1, 0 
	ADDWFC      R3, 0 
	MOVWF       FSR1L+1 
	CLRF        POSTINC1+0 
;GNSS5.c,411 :: 		if((tempchar == 0)||(n == 9)){                                      // no more params if end of line
	MOVF        getparams_tempchar_L0+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__getparams115
	MOVLW       0
	XORWF       getparams_n_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__getparams135
	MOVLW       9
	XORWF       getparams_n_L0+0, 0 
L__getparams135:
	BTFSC       STATUS+0, 2 
	GOTO        L__getparams115
	GOTO        L_getparams71
L__getparams115:
;GNSS5.c,412 :: 		break;
	GOTO        L_getparams48
;GNSS5.c,413 :: 		}
L_getparams71:
;GNSS5.c,414 :: 		}
L_getparams60:
;GNSS5.c,378 :: 		for ( n = 0 ; n < 8 ; n++){                                                 // count 0 to 7
	INFSNZ      getparams_n_L0+0, 1 
	INCF        getparams_n_L0+1, 1 
;GNSS5.c,415 :: 		}
	GOTO        L_getparams47
L_getparams48:
;GNSS5.c,418 :: 		for (n = 0; n < nparams ; n++){                                             // parms are 0 to 7
	CLRF        getparams_n_L0+0 
	CLRF        getparams_n_L0+1 
L_getparams72:
	MOVLW       128
	XORWF       getparams_n_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__getparams136
	MOVF        _nparams+0, 0 
	SUBWF       getparams_n_L0+0, 0 
L__getparams136:
	BTFSC       STATUS+0, 0 
	GOTO        L_getparams73
;GNSS5.c,419 :: 		tempchar2=1;                                                            // initialise
	MOVLW       1
	MOVWF       getparams_tempchar2_L0+0 
;GNSS5.c,420 :: 		pointer1=0;                                                             // initialise
	CLRF        getparams_pointer1_L0+0 
	CLRF        getparams_pointer1_L0+1 
;GNSS5.c,421 :: 		upar[n]=0;                                                              // initialise
	MOVF        getparams_n_L0+0, 0 
	MOVWF       R0 
	MOVF        getparams_n_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _upar+0
	ADDWF       R0, 0 
	MOVWF       FSR1L+0 
	MOVLW       hi_addr(_upar+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1L+1 
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
;GNSS5.c,422 :: 		do {
L_getparams75:
;GNSS5.c,423 :: 		tempchar = param[n][pointer1++];
	MOVLW       20
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        getparams_n_L0+0, 0 
	MOVWF       R4 
	MOVF        getparams_n_L0+1, 0 
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVLW       _param+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_param+0)
	ADDWFC      R1, 1 
	MOVF        getparams_pointer1_L0+0, 0 
	ADDWF       R0, 0 
	MOVWF       FSR0L+0 
	MOVF        getparams_pointer1_L0+1, 0 
	ADDWFC      R1, 0 
	MOVWF       FSR0L+1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       getparams_tempchar_L0+0 
	INFSNZ      getparams_pointer1_L0+0, 1 
	INCF        getparams_pointer1_L0+1, 1 
;GNSS5.c,425 :: 		if ( tempchar != 0 ){
	MOVF        R1, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_getparams78
;GNSS5.c,426 :: 		upar[n] = upar[n] * 0x10;                                       // next most signicant hex digit
	MOVF        getparams_n_L0+0, 0 
	MOVWF       R0 
	MOVF        getparams_n_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _upar+0
	ADDWF       R0, 0 
	MOVWF       R5 
	MOVLW       hi_addr(_upar+0)
	ADDWFC      R1, 0 
	MOVWF       R6 
	MOVFF       R5, FSR0L+0
	MOVFF       R6, FSR0H+0
	MOVF        POSTINC0+0, 0 
	MOVWF       R3 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVFF       R5, FSR1L+0
	MOVFF       R6, FSR1H+0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;GNSS5.c,427 :: 		}
L_getparams78:
;GNSS5.c,428 :: 		tempchar2=tempchar;                                                 // remember original character
	MOVF        getparams_tempchar_L0+0, 0 
	MOVWF       getparams_tempchar2_L0+0 
;GNSS5.c,429 :: 		if ((tempchar < 0x30) || (tempchar > 0x46)) {
	MOVLW       48
	SUBWF       getparams_tempchar_L0+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__getparams114
	MOVF        getparams_tempchar_L0+0, 0 
	SUBLW       70
	BTFSS       STATUS+0, 0 
	GOTO        L__getparams114
	GOTO        L_getparams81
L__getparams114:
;GNSS5.c,430 :: 		tempchar = 0x00;                                                // non-hex to zero
	CLRF        getparams_tempchar_L0+0 
;GNSS5.c,431 :: 		}
L_getparams81:
;GNSS5.c,432 :: 		if ((tempchar > 0x39) && (tempchar < 0x41)) {
	MOVF        getparams_tempchar_L0+0, 0 
	SUBLW       57
	BTFSC       STATUS+0, 0 
	GOTO        L_getparams84
	MOVLW       65
	SUBWF       getparams_tempchar_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_getparams84
L__getparams113:
;GNSS5.c,433 :: 		tempchar = 0x00;                                                // non-hex to zero
	CLRF        getparams_tempchar_L0+0 
;GNSS5.c,434 :: 		}
L_getparams84:
;GNSS5.c,435 :: 		if ((tempchar > 0x40) && (tempchar < 0x47)) {
	MOVF        getparams_tempchar_L0+0, 0 
	SUBLW       64
	BTFSC       STATUS+0, 0 
	GOTO        L_getparams87
	MOVLW       71
	SUBWF       getparams_tempchar_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_getparams87
L__getparams112:
;GNSS5.c,436 :: 		tempchar -= 0x37;                                               // to bin
	MOVLW       55
	SUBWF       getparams_tempchar_L0+0, 1 
;GNSS5.c,437 :: 		}
L_getparams87:
;GNSS5.c,438 :: 		if ((tempchar > 0x2f) && (tempchar < 0x3a)) {
	MOVF        getparams_tempchar_L0+0, 0 
	SUBLW       47
	BTFSC       STATUS+0, 0 
	GOTO        L_getparams90
	MOVLW       58
	SUBWF       getparams_tempchar_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_getparams90
L__getparams111:
;GNSS5.c,439 :: 		tempchar -= 0x30;                                               // to bin
	MOVLW       48
	SUBWF       getparams_tempchar_L0+0, 1 
;GNSS5.c,440 :: 		}
L_getparams90:
;GNSS5.c,441 :: 		upar[n] += tempchar;
	MOVF        getparams_n_L0+0, 0 
	MOVWF       R0 
	MOVF        getparams_n_L0+1, 0 
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _upar+0
	ADDWF       R0, 0 
	MOVWF       R2 
	MOVLW       hi_addr(_upar+0)
	ADDWFC      R1, 0 
	MOVWF       R3 
	MOVFF       R2, FSR0L+0
	MOVFF       R3, FSR0H+0
	MOVF        getparams_tempchar_L0+0, 0 
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVFF       R2, FSR1L+0
	MOVFF       R3, FSR1H+0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;GNSS5.c,442 :: 		} while (tempchar2 != 0);
	MOVF        getparams_tempchar2_L0+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_getparams75
;GNSS5.c,418 :: 		for (n = 0; n < nparams ; n++){                                             // parms are 0 to 7
	INFSNZ      getparams_n_L0+0, 1 
	INCF        getparams_n_L0+1, 1 
;GNSS5.c,443 :: 		}
	GOTO        L_getparams72
L_getparams73:
;GNSS5.c,445 :: 		if (nparams == 0) {                                                         // if just empty line, repeat previous command
	MOVF        _nparams+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_getparams91
;GNSS5.c,446 :: 		cmd = oldcmd;
	MOVF        getparams_oldcmd_L0+0, 0 
	MOVWF       _cmd+0 
;GNSS5.c,447 :: 		}
L_getparams91:
;GNSS5.c,448 :: 		return cmd;
	MOVF        _cmd+0, 0 
	MOVWF       R0 
;GNSS5.c,449 :: 		}
L_end_getparams:
	RETURN      0
; end of _getparams

_linein:

;GNSS5.c,454 :: 		void linein(char* pstring){
;GNSS5.c,455 :: 		char inChar = 0;
	CLRF        linein_inChar_L0+0 
;GNSS5.c,459 :: 		while(inChar != '\r'){
L_linein92:
	MOVF        linein_inChar_L0+0, 0 
	XORLW       13
	BTFSC       STATUS+0, 2 
	GOTO        L_linein93
;GNSS5.c,462 :: 		if (UART2_Data_Ready()){
	CALL        _UART2_Data_Ready+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_linein94
;GNSS5.c,463 :: 		inChar = UART2_Read();
	CALL        _UART2_Read+0, 0
	MOVF        R0, 0 
	MOVWF       linein_inChar_L0+0 
;GNSS5.c,464 :: 		UART2_Write(inChar);
	MOVF        R0, 0 
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;GNSS5.c,465 :: 		if(inChar == '\r'){
	MOVF        linein_inChar_L0+0, 0 
	XORLW       13
	BTFSS       STATUS+0, 2 
	GOTO        L_linein95
;GNSS5.c,466 :: 		UART2_Write('\n');
	MOVLW       10
	MOVWF       FARG_UART2_Write_data_+0 
	CALL        _UART2_Write+0, 0
;GNSS5.c,467 :: 		*pstring ++= '\0';
	MOVFF       FARG_linein_pstring+0, FSR1L+0
	MOVFF       FARG_linein_pstring+1, FSR1H+0
	CLRF        POSTINC1+0 
	INFSNZ      FARG_linein_pstring+0, 1 
	INCF        FARG_linein_pstring+1, 1 
;GNSS5.c,468 :: 		}
	GOTO        L_linein96
L_linein95:
;GNSS5.c,470 :: 		if (inChar != 0x7f ){                                           // if not backspace
	MOVF        linein_inChar_L0+0, 0 
	XORLW       127
	BTFSC       STATUS+0, 2 
	GOTO        L_linein97
;GNSS5.c,471 :: 		*pstring++ = inChar;
	MOVFF       FARG_linein_pstring+0, FSR1L+0
	MOVFF       FARG_linein_pstring+1, FSR1H+0
	MOVF        linein_inChar_L0+0, 0 
	MOVWF       POSTINC1+0 
	INFSNZ      FARG_linein_pstring+0, 1 
	INCF        FARG_linein_pstring+1, 1 
;GNSS5.c,472 :: 		}
L_linein97:
;GNSS5.c,473 :: 		if (inChar == 0x7f ){                                           // handle backspace
	MOVF        linein_inChar_L0+0, 0 
	XORLW       127
	BTFSS       STATUS+0, 2 
	GOTO        L_linein98
;GNSS5.c,474 :: 		*--pstring = 0x00;
	MOVLW       1
	SUBWF       FARG_linein_pstring+0, 1 
	MOVLW       0
	SUBWFB      FARG_linein_pstring+1, 1 
	MOVFF       FARG_linein_pstring+0, FSR1L+0
	MOVFF       FARG_linein_pstring+1, FSR1H+0
	CLRF        POSTINC1+0 
;GNSS5.c,475 :: 		}
L_linein98:
;GNSS5.c,476 :: 		}
L_linein96:
;GNSS5.c,477 :: 		}
L_linein94:
;GNSS5.c,478 :: 		if(u1_rx_flag){                                                         // GNSS data has been received
	MOVF        _u1_rx_flag+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_linein99
;GNSS5.c,479 :: 		u1_rx_flag = 0;
	CLRF        _u1_rx_flag+0 
;GNSS5.c,480 :: 		if(gprint_flag){                                                    // flag decides whether to print raw GNSS
	MOVF        _gprint_flag+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_linein100
;GNSS5.c,481 :: 		UART2_Write_Text(int_rx_buf);                                   //
	MOVLW       _int_rx_buf+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(_int_rx_buf+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,482 :: 		}
L_linein100:
;GNSS5.c,483 :: 		}
L_linein99:
;GNSS5.c,484 :: 		if(GNGLL_flag){                                                         // time is contained within $GNGLL message
	MOVF        _GNGLL_flag+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_linein101
;GNSS5.c,485 :: 		if(t_flag){                                                         // only print if t flag set
	MOVF        _t_flag+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_linein102
;GNSS5.c,486 :: 		if(!gprint_flag){                                               // no time print if raw data print
	MOVF        _gprint_flag+0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_linein103
;GNSS5.c,487 :: 		UART2_Write_Text("\rUTC ");                                 // warn that this is UTC, not local time
	MOVLW       ?lstr22_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr22_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,489 :: 		get_field(b_num, 6);                                        // $GNGLL field 6 is 9 bytes time
	MOVF        _GNGLL_ptr+0, 0 
	MOVWF       FARG_get_field_buffernum+0 
	MOVLW       6
	MOVWF       FARG_get_field_fieldnum+0 
	CALL        _get_field+0, 0
;GNSS5.c,490 :: 		UART2_Write_Text(field_text);
	MOVLW       _field_text+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(_field_text+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,491 :: 		Lcd_Out(2,1,"  UTC  ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr23_GNSS5+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr23_GNSS5+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;GNSS5.c,492 :: 		Lcd_Out(2,8,field_text);
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _field_text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_field_text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;GNSS5.c,494 :: 		UART2_Write_Text(" ");                                      //
	MOVLW       ?lstr24_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr24_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,496 :: 		get_field(b_num, 7);                                        // $GNGLL field 7 is valid indicator A or invalid V
	MOVF        _GNGLL_ptr+0, 0 
	MOVWF       FARG_get_field_buffernum+0 
	MOVLW       7
	MOVWF       FARG_get_field_fieldnum+0 
	CALL        _get_field+0, 0
;GNSS5.c,497 :: 		UART2_Write_Text(field_text);
	MOVLW       _field_text+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(_field_text+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,498 :: 		Lcd_Out(2,1,field_text);
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _field_text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_field_text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;GNSS5.c,500 :: 		UART2_Write_Text(" ");
	MOVLW       ?lstr25_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr25_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,502 :: 		get_field(b_num, 10);                                       // $GNRMC field 10 is date
	MOVF        _GNRMC_ptr+0, 0 
	MOVWF       FARG_get_field_buffernum+0 
	MOVLW       10
	MOVWF       FARG_get_field_fieldnum+0 
	CALL        _get_field+0, 0
;GNSS5.c,503 :: 		UART2_Write_Text(field_text);
	MOVLW       _field_text+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(_field_text+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,504 :: 		Lcd_Out(1,1,field_text);
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _field_text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_field_text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;GNSS5.c,506 :: 		UART2_Write_Text(" nSAT ");
	MOVLW       ?lstr26_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr26_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,508 :: 		get_field(b_num, 8);                                        // $GNGGA field 8 is number of satellites
	MOVF        _GNGGA_ptr+0, 0 
	MOVWF       FARG_get_field_buffernum+0 
	MOVLW       8
	MOVWF       FARG_get_field_fieldnum+0 
	CALL        _get_field+0, 0
;GNSS5.c,509 :: 		UART2_Write_Text(field_text);
	MOVLW       _field_text+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(_field_text+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,510 :: 		UART2_Write_Text(" ");
	MOVLW       ?lstr27_GNSS5+0
	MOVWF       FARG_UART2_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr27_GNSS5+0)
	MOVWF       FARG_UART2_Write_Text_uart_text+1 
	CALL        _UART2_Write_Text+0, 0
;GNSS5.c,511 :: 		Lcd_Out(1,15,field_text);
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       15
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _field_text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_field_text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;GNSS5.c,512 :: 		}
L_linein103:
;GNSS5.c,513 :: 		}
L_linein102:
;GNSS5.c,514 :: 		GNGLL_flag = 0;                                                     // prevent multiple prints
	CLRF        _GNGLL_flag+0 
;GNSS5.c,515 :: 		UART1_Write(0x12);                                                  // cludge to clear GNSS frame errors
	MOVLW       18
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;GNSS5.c,516 :: 		}
L_linein101:
;GNSS5.c,517 :: 		}
	GOTO        L_linein92
L_linein93:
;GNSS5.c,518 :: 		}
L_end_linein:
	RETURN      0
; end of _linein

_get_field:

;GNSS5.c,521 :: 		void get_field(unsigned char buffernum, unsigned char fieldnum){
;GNSS5.c,530 :: 		f_count = 0;                                                                // start assuming field 1 ($Gxxxx)
	CLRF        R5 
;GNSS5.c,533 :: 		f_pnt = 0;
	CLRF        R6 
;GNSS5.c,534 :: 		b_pnt = 0;
	CLRF        R3 
;GNSS5.c,535 :: 		fs_flag = 1;
	MOVLW       1
	MOVWF       R7 
;GNSS5.c,537 :: 		while(fs_flag){                                                             // search whole buffer
L_get_field104:
	MOVF        R7, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_get_field105
;GNSS5.c,538 :: 		b_chr = gnssbuff[buffernum][b_pnt];
	MOVF        FARG_get_field_buffernum+0, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVLW       _gnssbuff+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_gnssbuff+0)
	ADDWFC      R1, 1 
	MOVF        R3, 0 
	ADDWF       R0, 0 
	MOVWF       FSR0L+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0L+1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       R4 
;GNSS5.c,539 :: 		field_text[f_pnt] = b_chr;
	MOVLW       _field_text+0
	MOVWF       FSR1L+0 
	MOVLW       hi_addr(_field_text+0)
	MOVWF       FSR1L+1 
	MOVF        R6, 0 
	ADDWF       FSR1L+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1L+1, 1 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;GNSS5.c,540 :: 		if(b_chr == ','){
	MOVF        R4, 0 
	XORLW       44
	BTFSS       STATUS+0, 2 
	GOTO        L_get_field106
;GNSS5.c,542 :: 		field_text[f_pnt] = 0;
	MOVLW       _field_text+0
	MOVWF       FSR1L+0 
	MOVLW       hi_addr(_field_text+0)
	MOVWF       FSR1L+1 
	MOVF        R6, 0 
	ADDWF       FSR1L+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1L+1, 1 
	CLRF        POSTINC1+0 
;GNSS5.c,543 :: 		f_count++;
	INCF        R5, 1 
;GNSS5.c,544 :: 		f_pnt = 0;
	CLRF        R6 
;GNSS5.c,545 :: 		if(f_count >= fieldnum) fs_flag = 0;
	MOVF        FARG_get_field_fieldnum+0, 0 
	SUBWF       R5, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_get_field107
	CLRF        R7 
L_get_field107:
;GNSS5.c,546 :: 		}
	GOTO        L_get_field108
L_get_field106:
;GNSS5.c,548 :: 		f_pnt++;
	INCF        R6, 1 
;GNSS5.c,549 :: 		if (f_pnt > 38){
	MOVF        R6, 0 
	SUBLW       38
	BTFSC       STATUS+0, 0 
	GOTO        L_get_field109
;GNSS5.c,550 :: 		fs_flag = 0;                                                    // check for field too long
	CLRF        R7 
;GNSS5.c,551 :: 		field_text[0] = 0;                                              // invalidate return string
	CLRF        _field_text+0 
;GNSS5.c,552 :: 		}
L_get_field109:
;GNSS5.c,553 :: 		}
L_get_field108:
;GNSS5.c,554 :: 		b_pnt++;
	INCF        R3, 1 
;GNSS5.c,555 :: 		if (b_pnt == 255){
	MOVF        R3, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L_get_field110
;GNSS5.c,556 :: 		fs_flag = 0;                                                        // check for end of buffer
	CLRF        R7 
;GNSS5.c,557 :: 		field_text[0] = 0;                                                  // invalidate return string
	CLRF        _field_text+0 
;GNSS5.c,558 :: 		}
L_get_field110:
;GNSS5.c,559 :: 		}
	GOTO        L_get_field104
L_get_field105:
;GNSS5.c,560 :: 		}
L_end_get_field:
	RETURN      0
; end of _get_field
