
_Interrupt:

;Rotary click.c,34 :: 		void Interrupt(){
;Rotary click.c,36 :: 		if (INT0IF_bit){
	BTFSS       INT0IF_bit+0, BitPos(INT0IF_bit+0) 
	GOTO        L_Interrupt0
;Rotary click.c,37 :: 		INT0IF_bit = 0;                                     // clear Interrupt flag
	BCF         INT0IF_bit+0, BitPos(INT0IF_bit+0) 
;Rotary click.c,38 :: 		ENC_Button_State++;                                   // set new ENC button state
	INCF        _ENC_Button_State+0, 1 
;Rotary click.c,39 :: 		if (ENC_Button_State == 8){
	MOVF        _ENC_Button_State+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L_Interrupt1
;Rotary click.c,40 :: 		ENC_Button_State = 0;
	CLRF        _ENC_Button_State+0 
;Rotary click.c,41 :: 		}
L_Interrupt1:
;Rotary click.c,43 :: 		switch (ENC_Button_State){
	GOTO        L_Interrupt2
;Rotary click.c,44 :: 		case 0 : Led_State = 0x0001;                      // One LED are ON
L_Interrupt4:
	MOVLW       1
	MOVWF       _Led_State+0 
	MOVLW       0
	MOVWF       _Led_State+1 
;Rotary click.c,45 :: 		break;
	GOTO        L_Interrupt3
;Rotary click.c,46 :: 		case 1 : Led_State = 0x0101;                      // Two LEDs are ON
L_Interrupt5:
	MOVLW       1
	MOVWF       _Led_State+0 
	MOVLW       1
	MOVWF       _Led_State+1 
;Rotary click.c,47 :: 		break;
	GOTO        L_Interrupt3
;Rotary click.c,48 :: 		case 2 : Led_State = 0x1111;                      // Four LEDs are ON
L_Interrupt6:
	MOVLW       17
	MOVWF       _Led_State+0 
	MOVLW       17
	MOVWF       _Led_State+1 
;Rotary click.c,49 :: 		break;
	GOTO        L_Interrupt3
;Rotary click.c,50 :: 		case 3 : Led_State = 0x5555;                      // Eight LEDs are ON
L_Interrupt7:
	MOVLW       85
	MOVWF       _Led_State+0 
	MOVLW       85
	MOVWF       _Led_State+1 
;Rotary click.c,51 :: 		break;
	GOTO        L_Interrupt3
;Rotary click.c,52 :: 		case 4 : Led_State = 0x0003;                      // 2 LED are ON
L_Interrupt8:
	MOVLW       3
	MOVWF       _Led_State+0 
	MOVLW       0
	MOVWF       _Led_State+1 
;Rotary click.c,53 :: 		break;
	GOTO        L_Interrupt3
;Rotary click.c,54 :: 		case 5 : Led_State = 0x0007;                      // Three LEDs are ON
L_Interrupt9:
	MOVLW       7
	MOVWF       _Led_State+0 
	MOVLW       0
	MOVWF       _Led_State+1 
;Rotary click.c,55 :: 		break;
	GOTO        L_Interrupt3
;Rotary click.c,56 :: 		case 6 : Led_State = 0x1fff;                      // 15 LEDs are ON
L_Interrupt10:
	MOVLW       255
	MOVWF       _Led_State+0 
	MOVLW       31
	MOVWF       _Led_State+1 
;Rotary click.c,57 :: 		break;
	GOTO        L_Interrupt3
;Rotary click.c,58 :: 		case 7 : Led_State = 0x00ff;                      // Eight LEDs are ON
L_Interrupt11:
	MOVLW       255
	MOVWF       _Led_State+0 
	MOVLW       0
	MOVWF       _Led_State+1 
;Rotary click.c,59 :: 		break;
	GOTO        L_Interrupt3
;Rotary click.c,60 :: 		default :
L_Interrupt12:
;Rotary click.c,61 :: 		break;
	GOTO        L_Interrupt3
;Rotary click.c,62 :: 		}
L_Interrupt2:
	MOVF        _ENC_Button_State+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_Interrupt4
	MOVF        _ENC_Button_State+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_Interrupt5
	MOVF        _ENC_Button_State+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_Interrupt6
	MOVF        _ENC_Button_State+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L_Interrupt7
	MOVF        _ENC_Button_State+0, 0 
	XORLW       4
	BTFSC       STATUS+0, 2 
	GOTO        L_Interrupt8
	MOVF        _ENC_Button_State+0, 0 
	XORLW       5
	BTFSC       STATUS+0, 2 
	GOTO        L_Interrupt9
	MOVF        _ENC_Button_State+0, 0 
	XORLW       6
	BTFSC       STATUS+0, 2 
	GOTO        L_Interrupt10
	MOVF        _ENC_Button_State+0, 0 
	XORLW       7
	BTFSC       STATUS+0, 2 
	GOTO        L_Interrupt11
	GOTO        L_Interrupt12
L_Interrupt3:
;Rotary click.c,63 :: 		}
L_Interrupt0:
;Rotary click.c,64 :: 		}
L_end_Interrupt:
L__Interrupt22:
	RETFIE      1
; end of _Interrupt

_HC595_Write:

;Rotary click.c,66 :: 		void HC595_Write(int led_value){
;Rotary click.c,70 :: 		second_byte = led_value;
	MOVF        FARG_HC595_Write_led_value+0, 0 
	MOVWF       HC595_Write_second_byte_L0+0 
;Rotary click.c,72 :: 		first_byte = led_value >> 8;
	MOVF        FARG_HC595_Write_led_value+1, 0 
	MOVWF       R0 
	MOVLW       0
	BTFSC       FARG_HC595_Write_led_value+1, 7 
	MOVLW       255
	MOVWF       R1 
;Rotary click.c,74 :: 		SPI1_write(first_byte);
	MOVF        R0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;Rotary click.c,75 :: 		SPI1_write(second_byte);
	MOVF        HC595_Write_second_byte_L0+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;Rotary click.c,77 :: 		HC595_cs = 0;                                         // latch serial data to outputs
	BCF         LATE0_bit+0, BitPos(LATE0_bit+0) 
;Rotary click.c,78 :: 		asm{nop};
	NOP
;Rotary click.c,79 :: 		asm{nop};
	NOP
;Rotary click.c,80 :: 		asm{nop};
	NOP
;Rotary click.c,81 :: 		HC595_cs = 1;
	BSF         LATE0_bit+0, BitPos(LATE0_bit+0) 
;Rotary click.c,82 :: 		}
L_end_HC595_Write:
	RETURN      0
; end of _HC595_Write

_main:

;Rotary click.c,84 :: 		void main() {
;Rotary click.c,85 :: 		ANSELA = 0 ;                                          // Configure PORTA pins as digital
	CLRF        ANSELA+0 
;Rotary click.c,86 :: 		ANSELB = 0 ;                                          // Configure PORTB pins as digital
	CLRF        ANSELB+0 
;Rotary click.c,87 :: 		ANSELC = 0 ;                                          // Configure PORTC pins as digital
	CLRF        ANSELC+0 
;Rotary click.c,88 :: 		ANSELD = 0 ;                                          // Configure PORTC pins as digital
	CLRF        ANSELD+0 
;Rotary click.c,89 :: 		ANSELE = 0 ;                                          // Configure PORTC pins as digital
	CLRF        ANSELE+0 
;Rotary click.c,90 :: 		TRISA = 0;
	CLRF        TRISA+0 
;Rotary click.c,91 :: 		TRISB = 0;
	CLRF        TRISB+0 
;Rotary click.c,92 :: 		TRISC = 0;
	CLRF        TRISC+0 
;Rotary click.c,93 :: 		TRISD = 0;
	CLRF        TRISD+0 
;Rotary click.c,94 :: 		TRISE = 0;                                            // all output
	CLRF        TRISE+0 
;Rotary click.c,95 :: 		LATA = 0;
	CLRF        LATA+0 
;Rotary click.c,96 :: 		LATB = 0;
	CLRF        LATB+0 
;Rotary click.c,97 :: 		LATC = 0;
	CLRF        LATC+0 
;Rotary click.c,98 :: 		LATD = 0;
	CLRF        LATD+0 
;Rotary click.c,99 :: 		LATE = 3;
	MOVLW       3
	MOVWF       LATE+0 
;Rotary click.c,101 :: 		ENCA_direction     = 1;                               // Configure RC0 as input
	BSF         TRISC0_bit+0, BitPos(TRISC0_bit+0) 
;Rotary click.c,102 :: 		ENCB_direction     = 1;                               // Configure RA2 as input
	BSF         TRISA2_bit+0, BitPos(TRISA2_bit+0) 
;Rotary click.c,103 :: 		ENC_SW_direction   = 1;                               // Configure RB0 as input
	BSF         TRISB0_bit+0, BitPos(TRISB0_bit+0) 
;Rotary click.c,104 :: 		HC595_cs_direction = 0;                               // Configure RE0 as output
	BCF         TRISE0_bit+0, BitPos(TRISE0_bit+0) 
;Rotary click.c,106 :: 		INT0IE_bit = 1 ;                                      // Enable INTE interrupt on RB0
	BSF         INT0IE_bit+0, BitPos(INT0IE_bit+0) 
;Rotary click.c,107 :: 		GIE_bit = 1 ;                                         // Enable Global Interrupt
	BSF         GIE_bit+0, BitPos(GIE_bit+0) 
;Rotary click.c,109 :: 		SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV64, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);     // slow SPI clk essential
	MOVLW       2
	MOVWF       FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;Rotary click.c,111 :: 		while(1) {
L_main13:
;Rotary click.c,112 :: 		if((ENCA_bit != ENCA) || (ENCB_bit != ENCB)){   // If logic state on pin A or pin B change
	CLRF        R1 
	BTFSC       RC0_bit+0, BitPos(RC0_bit+0) 
	INCF        R1, 1 
	MOVF        _ENCA_bit+0, 0 
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main20
	CLRF        R1 
	BTFSC       RA2_bit+0, BitPos(RA2_bit+0) 
	INCF        R1, 1 
	MOVF        _ENCB_bit+0, 0 
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main20
	GOTO        L_main17
L__main20:
;Rotary click.c,114 :: 		if(ENCB_bit | ENCA == 1){                          // If ENCB_old OR ENCA_new is 1
	BTFSC       RC0_bit+0, BitPos(RC0_bit+0) 
	GOTO        L__main25
	BCF         STATUS+0, 0 
	GOTO        L__main26
L__main25:
	BSF         STATUS+0, 0 
L__main26:
	CLRF        R0 
	BTFSC       STATUS+0, 0 
	INCF        R0, 1 
	MOVF        _ENCB_bit+0, 0 
	IORWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main18
;Rotary click.c,115 :: 		Led_State = (Led_State << 1) | (Led_State >> 15);
	MOVF        _Led_State+0, 0 
	MOVWF       R3 
	MOVF        _Led_State+1, 0 
	MOVWF       R4 
	RLCF        R3, 1 
	BCF         R3, 0 
	RLCF        R4, 1 
	MOVLW       15
	MOVWF       R2 
	MOVF        _Led_State+0, 0 
	MOVWF       R0 
	MOVF        _Led_State+1, 0 
	MOVWF       R1 
	MOVF        R2, 0 
L__main27:
	BZ          L__main28
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	ADDLW       255
	GOTO        L__main27
L__main28:
	MOVF        R0, 0 
	IORWF       R3, 0 
	MOVWF       _Led_State+0 
	MOVF        R4, 0 
	IORWF       R1, 0 
	MOVWF       _Led_State+1 
;Rotary click.c,116 :: 		}
L_main18:
;Rotary click.c,118 :: 		if(ENCA_bit | ENCB == 1){                          // If ENCA_old OR ENCB_new is 1
	BTFSC       RA2_bit+0, BitPos(RA2_bit+0) 
	GOTO        L__main29
	BCF         STATUS+0, 0 
	GOTO        L__main30
L__main29:
	BSF         STATUS+0, 0 
L__main30:
	CLRF        R0 
	BTFSC       STATUS+0, 0 
	INCF        R0, 1 
	MOVF        _ENCA_bit+0, 0 
	IORWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main19
;Rotary click.c,119 :: 		Led_State = (Led_State >> 1) | (Led_State <<15);
	MOVF        _Led_State+0, 0 
	MOVWF       R3 
	MOVF        _Led_State+1, 0 
	MOVWF       R4 
	RRCF        R4, 1 
	RRCF        R3, 1 
	BCF         R4, 7 
	MOVLW       15
	MOVWF       R2 
	MOVF        _Led_State+0, 0 
	MOVWF       R0 
	MOVF        _Led_State+1, 0 
	MOVWF       R1 
	MOVF        R2, 0 
L__main31:
	BZ          L__main32
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	ADDLW       255
	GOTO        L__main31
L__main32:
	MOVF        R0, 0 
	IORWF       R3, 0 
	MOVWF       _Led_State+0 
	MOVF        R4, 0 
	IORWF       R1, 0 
	MOVWF       _Led_State+1 
;Rotary click.c,120 :: 		}
L_main19:
;Rotary click.c,122 :: 		ENCA_bit = ENCA ;                              // Set new value of ENCA_bit
	MOVLW       0
	BTFSC       RC0_bit+0, BitPos(RC0_bit+0) 
	MOVLW       1
	MOVWF       _ENCA_bit+0 
;Rotary click.c,123 :: 		ENCB_bit = ENCB ;                              // Set new value of ENCB_bit
	MOVLW       0
	BTFSC       RA2_bit+0, BitPos(RA2_bit+0) 
	MOVLW       1
	MOVWF       _ENCB_bit+0 
;Rotary click.c,124 :: 		}
L_main17:
;Rotary click.c,126 :: 		HC595_Write(Led_State);
	MOVF        _Led_State+0, 0 
	MOVWF       FARG_HC595_Write_led_value+0 
	MOVF        _Led_State+1, 0 
	MOVWF       FARG_HC595_Write_led_value+1 
	CALL        _HC595_Write+0, 0
;Rotary click.c,127 :: 		}
	GOTO        L_main13
;Rotary click.c,128 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
