#line 1 "C:/PIC/MikroC/PIC18/PIC18F47K42/freq/freq.c"
#line 24 "C:/PIC/MikroC/PIC18/PIC18F47K42/freq/freq.c"
sbit LCD_RS at LATB4_bit;
sbit LCD_EN at LATB5_bit;
sbit LCD_D4 at LATB0_bit;
sbit LCD_D5 at LATB1_bit;
sbit LCD_D6 at LATB2_bit;
sbit LCD_D7 at LATB3_bit;


sbit LCD_RS_Direction at TRISB4_bit;
sbit LCD_EN_Direction at TRISB5_bit;
sbit LCD_D7_Direction at TRISB3_bit;
sbit LCD_D6_Direction at TRISB2_bit;
sbit LCD_D5_Direction at TRISB1_bit;
sbit LCD_D4_Direction at TRISB0_bit;


void main() {
unsigned long frequency;
unsigned long disp_frequency;
unsigned long freq_low;
char freq_txt[11];
char fc_flag;

 ANSELA = 0;
 ANSELB = 0;
 ANSELC = 0;
 ANSELD = 0;
 ANSELE = 0;
 ADCON0 = 0;
 ADCON1 = 0x0f;
 CM1CON0 = 0;
 CM2CON0 = 0;

 LATA = 0;
 LATB = 0xff;
 LATC = 0;
 TRISA = 0xC0;
 TRISB = 0x00;
 TRISC = 0x01;
 TRISE = 0xff;

 Delay_ms(100);
 Lcd_Init();
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);
 if(RE0_bit){

 Lcd_Out(2,1, "0000000000 Hz   ");
 fc_flag = 1;
 }
 else{

 Lcd_Out(2,1, "0000000000      ");
 fc_flag = 0;
 }

 PWM1_Init(2000);
 PWM1_Start();
 PWM1_Set_Duty(127 );
 T0CON = 0x87;
 T1CON = 0x85;
 T1GCON = 0x00;

 frequency = 0;
 TMR1L = 0;
 TMR1H = 0;


 while(1){
 TMR0H = 0x85;
 TMR0L = 0xee;
 INTCON.TMR0IF = 0;
 if(fc_flag){
 frequency = 0;
 PIR1.TMR1IF = 0;
 TMR1L = 0;
 TMR1H = 0;
 }

 while(!INTCON.TMR0IF){
 if(PIR1.TMR1IF){
 PIR1.TMR1IF=0;
 frequency += 65536;
 }
 }

 freq_low = (TMR1H << 8) + TMR1L;
 disp_frequency = frequency + freq_low;
 LongWordToStrWithZeros(disp_frequency, freq_txt);
 Lcd_Out(2,1, freq_txt);
 LATA=LATA^1;
 }
}
