// simple ADC test EasyPIC8 with PIC18F47K42
// 8 MHz crystal with x4 PLL gives 32 MHz clock     - Turn on PORTC and PORTD LEDs on SW3.3 and SW3.4.

#include <built_in.h>

unsigned int adc_rd;

void main() {
    ANSELA = 0x02;                    // Configure RA1 pin as analog
    ANSELC = 0;                       // Configure PORTC pins as digital
    ANSELD = 0;                       // Configure PORTD pins as digital

    TRISA = 0xff;                     // Set RA1 pin as input
    TRISC = 0x00;                     // Set PORTC as output
    TRISD = 0x00;                     // Set PORTD as output

    while (1) {
        adc_rd = ADC_Read(0);         // get ADC value from 1st channel
        LATD = adc_rd;                // display adc_rd[7..0]
        LATC = Hi(adc_rd);            // display adc_rd[9..8]
    }
}