/*
 * Project name:
     Calculator.mcppi
 * Copyright:
     (c) Mikroelektronika, 2019.
 * Date of creation
     7/5/2019
 * Test configuration:
     MCU:             PIC18F47K42
                      http://ww1.microchip.com/downloads/en/DeviceDoc/PIC18LF26-27-45-46-47-55-56-57K42-Data-Sheet-40001919E.pdf
     Dev.Board:       EasyPIC v8 
                      https://www.mikroe.com/easypic-v8
     Oscillator:      64000000 Hz
     SW:              mikroC PRO for PIC
                      http://www.mikroe.com/mikroc/pic/
 * Notes:
     - Make sure that CAN switch is toogled to up position (GPIO position) RB3/RB2. (board specific)
 */

#include "Calculator_objects.h"

void main() {

  Start_TP();

  while (1) {
    Check_TP();
  }
}