
_main:

;UART.c,8 :: 		void main() {
;UART.c,9 :: 		ANSELC = 0;                                            // Configure PORTC pins as digital
	CLRF        ANSELC+0 
;UART.c,11 :: 		UART1_Init(115200);
	MOVLW       68
	MOVWF       U1BRG+0 
	MOVLW       0
	MOVWF       U1BRG+1 
	BSF         U1CON0+0, 7, 0
	CALL        _UART1_Init+0, 0
;UART.c,12 :: 		Delay_ms(100);                                         // Wait for UART module to stabilize
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main0:
	DECFSZ      R13, 1, 1
	BRA         L_main0
	DECFSZ      R12, 1, 1
	BRA         L_main0
	DECFSZ      R11, 1, 1
	BRA         L_main0
;UART.c,13 :: 		UART1_Write_Text("Start 15 Aug 2019\r\n");
	MOVLW       ?lstr1_UART+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr1_UART+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;UART.c,15 :: 		while (1) {                                            // Endless loop
L_main1:
;UART.c,16 :: 		if (UART1_Data_Ready()) {               // If data is received,
	CALL        _UART1_Data_Ready+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main3
;UART.c,17 :: 		uart_rd = UART1_Read();             // read the received data,
	CALL        _UART1_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _uart_rd+0 
;UART.c,18 :: 		UART1_Write(uart_rd);               // and send data via UART
	MOVF        R0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;UART.c,19 :: 		}
L_main3:
;UART.c,20 :: 		UART1_Write_Text("Hello\r\n");
	MOVLW       ?lstr2_UART+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr2_UART+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;UART.c,21 :: 		Delay_ms(1000);
	MOVLW       41
	MOVWF       R11, 0
	MOVLW       150
	MOVWF       R12, 0
	MOVLW       127
	MOVWF       R13, 0
L_main4:
	DECFSZ      R13, 1, 1
	BRA         L_main4
	DECFSZ      R12, 1, 1
	BRA         L_main4
	DECFSZ      R11, 1, 1
	BRA         L_main4
;UART.c,22 :: 		}
	GOTO        L_main1
;UART.c,23 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
