#line 1 "C:/PIC/MikroC/PIC18/PIC18F47K42/click/RotaryClick/Rotary click.c"
#line 19 "C:/PIC/MikroC/PIC18/PIC18F47K42/click/RotaryClick/Rotary click.c"
sbit HC595_cs at LATE0_bit;
sbit ENCA at RC0_bit;
sbit ENCB at RA2_bit;
sbit ENC_SW at RB0_bit;
sbit HC595_cs_direction at TRISE0_bit;
sbit ENCA_direction at TRISC0_bit;
sbit ENCB_direction at TRISA2_bit;
sbit ENC_SW_direction at TRISB0_bit;

unsigned int Led_State = 0x0001;
char ENCA_bit;
char ENCB_bit;
char ENC_Button_State = 0;


void Interrupt(){

 if (INT0IF_bit){
 INT0IF_bit = 0;
 ENC_Button_State++;
 if (ENC_Button_State == 8){
 ENC_Button_State = 0;
 }

 switch (ENC_Button_State){
 case 0 : Led_State = 0x0001;
 break;
 case 1 : Led_State = 0x0101;
 break;
 case 2 : Led_State = 0x1111;
 break;
 case 3 : Led_State = 0x5555;
 break;
 case 4 : Led_State = 0x0003;
 break;
 case 5 : Led_State = 0x0007;
 break;
 case 6 : Led_State = 0x1fff;
 break;
 case 7 : Led_State = 0x00ff;
 break;
 default :
 break;
 }
 }
}

void HC595_Write(int led_value){
char first_byte;
char second_byte;

 second_byte = led_value;

 first_byte = led_value >> 8;

 SPI1_write(first_byte);
 SPI1_write(second_byte);

 HC595_cs = 0;
 asm{nop};
 asm{nop};
 asm{nop};
 HC595_cs = 1;
}

void main() {
 ANSELA = 0 ;
 ANSELB = 0 ;
 ANSELC = 0 ;
 ANSELD = 0 ;
 ANSELE = 0 ;
 TRISA = 0;
 TRISB = 0;
 TRISC = 0;
 TRISD = 0;
 TRISE = 0;
 LATA = 0;
 LATB = 0;
 LATC = 0;
 LATD = 0;
 LATE = 3;

 ENCA_direction = 1;
 ENCB_direction = 1;
 ENC_SW_direction = 1;
 HC595_cs_direction = 0;

 INT0IE_bit = 1 ;
 GIE_bit = 1 ;

 SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV64, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);

 while(1) {
 if((ENCA_bit != ENCA) || (ENCB_bit != ENCB)){

 if(ENCB_bit | ENCA == 1){
 Led_State = (Led_State << 1) | (Led_State >> 15);
 }

 if(ENCA_bit | ENCB == 1){
 Led_State = (Led_State >> 1) | (Led_State <<15);
 }

 ENCA_bit = ENCA ;
 ENCB_bit = ENCB ;
 }

 HC595_Write(Led_State);
 }
}
