// random code for forum

void get_field(unsigned char buffernum, unsigned char fieldnum);

unsigned char gnssbuff[2][80] = {"$GNGLL,5044.95700,N,00317.14419,W,095003.00,A,D*6D\r\n"
                    , "$GNGGA,095003.00,5044.95700,N,00317.14419,W,2,12,1.05,48.1,M,49.3,M,,0000*6A\r\n"};
unsigned char field_text[90];

void main() {

    UART1_Init(115200);
    Delay_ms(100);
    
    UART1_Write_Text("\r\n\nnSAT field test\r\n");
    
    get_field(1,8);
    
    UART1_Write_Text(field_text);
    
    UART1_Write_Text("\r\n\ntime field test\r\n");

    get_field(0,6);

    UART1_Write_Text(field_text);

    while(1);
}

// get a text field
void get_field(unsigned char buffernum, unsigned char fieldnum){
  unsigned char b_pnt;
  unsigned char b_chr;
  unsigned char f_start;
  unsigned char f_end;
  unsigned char f_count;
  unsigned char f_pnt;
  unsigned char fs_flag;

    f_count = 0;                                                                // start assuming field 1 ($Gxxxx)
    f_start = 0;
    f_end = 0;
    f_pnt = 0;
    b_pnt = 0;
    fs_flag = 1;
    
    while(fs_flag){                                                             // search whole buffer
        b_chr = gnssbuff[buffernum][b_pnt];
        field_text[f_pnt] = b_chr;
        if(b_chr == ','){
            f_end = b_pnt;
            field_text[f_pnt] = 0;
            f_count++;
            f_pnt = 0;
            if(f_count >= fieldnum) fs_flag = 0;
        }
        else{
            f_pnt++;
            if (f_pnt > 38) fs_flag = 0;                                        // check for field too long
        }
        b_pnt++;
        if (b_pnt == 255) fs_flag = 0;                                          // check for end of buffer
    }
}